# ncurses 6.1 - patch 20190202 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.1 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.1 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.1
#	http://invisible-mirror.net/archives/ncurses/6.1 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.1/ncurses-6.1-20190202.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Feb  3 01:24:46 UTC 2019
# ------------------------------------------------------------------------------
# NEWS                               |   11 
# VERSION                            |    2 
# configure                          | 1173 +++++++++++++++++------------------
# configure.in                       |   17 
# dist.mk                            |    4 
# include/ncurses_defs               |    5 
# misc/Makefile.in                   |   47 -
# package/debian-mingw/changelog     |    4 
# package/debian-mingw64/changelog   |    4 
# package/debian/changelog           |    4 
# package/mingw-ncurses.nsi          |    4 
# package/mingw-ncurses.spec         |    2 
# package/ncurses.spec               |    2 
# package/ncursest.spec              |    2 
# test/configure                     |  739 +++++++++++-----------
# test/configure.in                  |    3 
# test/package/ncurses-examples.spec |    6 
# test/picsmap.c                     |   17 
# test/test.priv.h                   |    6 
# 19 files changed, 1024 insertions(+), 1028 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.3266 
--- ncurses-6.1-20190126+/NEWS	2019-01-27 00:23:49.000000000 +0000
+++ ncurses-6.1-20190202/NEWS	2019-02-03 01:19:58.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.3266 2019/01/27 00:23:49 tom Exp $
+-- $Id: NEWS,v 1.3270 2019/02/03 01:19:58 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,15 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20190202
+	+ modify rpm test-package ".spec" file to work around naming conflict
+	  with Redhat's package for ncurses6.
+	+ modify no-leaks code in test/picsmap to avoid non-standard tdestroy.
+	+ amend change to configure script which altered the top-level makefile
+	  to avoid attempting to install the terminfo database when it was not
+	  configured, to allow for installing the ".pc" files which are also
+	  in the misc directory (report by Steve Wills).
+
 20190126
 	+ change some "%define" statements in test-packages for RPMs to
 	  "%global" to work around changes in rpm 4.14 from recent Redhat.
Index: VERSION
--- ncurses-6.1-20190126+/VERSION	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/VERSION	2019-02-02 16:08:54.000000000 +0000
@@ -1 +1 @@
-5:0:10	6.1	20190126
+5:0:10	6.1	20190202
Index: configure
--- ncurses-6.1-20190126+/configure	2019-01-20 12:06:51.000000000 +0000
+++ ncurses-6.1-20190202/configure	2019-02-02 20:11:34.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.674 .
+# From configure.in Revision: 1.677 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20181006.
 #
@@ -18757,20 +18757,19 @@
 strstr \
 sysconf \
 tcgetpgrp \
-tdestroy \
 times \
 tsearch \
 vsnprintf \
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:18767: checking for $ac_func" >&5
+echo "$as_me:18766: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18773 "configure"
+#line 18772 "configure"
 #include "confdefs.h"
 #define $ac_func autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -18801,16 +18800,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18804: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18803: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18807: \$? = $ac_status" >&5
+  echo "$as_me:18806: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18810: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18809: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18813: \$? = $ac_status" >&5
+  echo "$as_me:18812: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -18820,7 +18819,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:18823: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:18822: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18832,7 +18831,7 @@
 
 if test "x$ac_cv_func_getopt" = xno && \
    test "x$cf_with_progs$cf_with_tests" != xnono; then
-	{ { echo "$as_me:18835: error: getopt is required for building programs" >&5
+	{ { echo "$as_me:18834: error: getopt is required for building programs" >&5
 echo "$as_me: error: getopt is required for building programs" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -18841,7 +18840,7 @@
 then
 	if test "x$ac_cv_func_vsnprintf" = xyes
 	then
-		{ echo "$as_me:18844: WARNING: will use vsnprintf instead of safe-sprintf option" >&5
+		{ echo "$as_me:18843: WARNING: will use vsnprintf instead of safe-sprintf option" >&5
 echo "$as_me: WARNING: will use vsnprintf instead of safe-sprintf option" >&2;}
 	else
 
@@ -18854,14 +18853,14 @@
 
 if test "x$with_getcap" = "xyes" ; then
 
-echo "$as_me:18857: checking for terminal-capability database functions" >&5
+echo "$as_me:18856: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
 if test "${cf_cv_cgetent+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18864 "configure"
+#line 18863 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18881,16 +18880,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18884: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18883: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18887: \$? = $ac_status" >&5
+  echo "$as_me:18886: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18890: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18889: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18893: \$? = $ac_status" >&5
+  echo "$as_me:18892: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent=yes
 else
@@ -18901,7 +18900,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:18904: result: $cf_cv_cgetent" >&5
+echo "$as_me:18903: result: $cf_cv_cgetent" >&5
 echo "${ECHO_T}$cf_cv_cgetent" >&6
 
 if test "$cf_cv_cgetent" = yes
@@ -18911,14 +18910,14 @@
 #define HAVE_BSD_CGETENT 1
 EOF
 
-echo "$as_me:18914: checking if cgetent uses const parameter" >&5
+echo "$as_me:18913: checking if cgetent uses const parameter" >&5
 echo $ECHO_N "checking if cgetent uses const parameter... $ECHO_C" >&6
 if test "${cf_cv_cgetent_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18921 "configure"
+#line 18920 "configure"
 #include "confdefs.h"
 
 #pragma GCC diagnostic error "-Wincompatible-pointer-types-discards-qualifiers"
@@ -18941,16 +18940,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18944: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18943: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18947: \$? = $ac_status" >&5
+  echo "$as_me:18946: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18950: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18949: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18953: \$? = $ac_status" >&5
+  echo "$as_me:18952: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent_const=yes
 else
@@ -18961,7 +18960,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:18964: result: $cf_cv_cgetent_const" >&5
+echo "$as_me:18963: result: $cf_cv_cgetent_const" >&5
 echo "${ECHO_T}$cf_cv_cgetent_const" >&6
 	if test "$cf_cv_cgetent_const" = yes
 	then
@@ -18975,14 +18974,14 @@
 
 fi
 
-echo "$as_me:18978: checking for isascii" >&5
+echo "$as_me:18977: checking for isascii" >&5
 echo $ECHO_N "checking for isascii... $ECHO_C" >&6
 if test "${cf_cv_have_isascii+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18985 "configure"
+#line 18984 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 int
@@ -18994,16 +18993,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18997: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18996: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19000: \$? = $ac_status" >&5
+  echo "$as_me:18999: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19003: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19002: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19006: \$? = $ac_status" >&5
+  echo "$as_me:19005: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_isascii=yes
 else
@@ -19014,7 +19013,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:19017: result: $cf_cv_have_isascii" >&5
+echo "$as_me:19016: result: $cf_cv_have_isascii" >&5
 echo "${ECHO_T}$cf_cv_have_isascii" >&6
 test "$cf_cv_have_isascii" = yes &&
 cat >>confdefs.h <<\EOF
@@ -19022,10 +19021,10 @@
 EOF
 
 if test "$ac_cv_func_sigaction" = yes; then
-echo "$as_me:19025: checking whether sigaction needs _POSIX_SOURCE" >&5
+echo "$as_me:19024: checking whether sigaction needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether sigaction needs _POSIX_SOURCE... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 19028 "configure"
+#line 19027 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -19039,16 +19038,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19042: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19041: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19045: \$? = $ac_status" >&5
+  echo "$as_me:19044: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19048: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19047: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19051: \$? = $ac_status" >&5
+  echo "$as_me:19050: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=no
 else
@@ -19056,7 +19055,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19059 "configure"
+#line 19058 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -19071,16 +19070,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19074: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19073: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19077: \$? = $ac_status" >&5
+  echo "$as_me:19076: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19080: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19079: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19083: \$? = $ac_status" >&5
+  echo "$as_me:19082: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=yes
 
@@ -19096,11 +19095,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:19099: result: $sigact_bad" >&5
+echo "$as_me:19098: result: $sigact_bad" >&5
 echo "${ECHO_T}$sigact_bad" >&6
 fi
 
-echo "$as_me:19103: checking if nanosleep really works" >&5
+echo "$as_me:19102: checking if nanosleep really works" >&5
 echo $ECHO_N "checking if nanosleep really works... $ECHO_C" >&6
 if test "${cf_cv_func_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19110,7 +19109,7 @@
   cf_cv_func_nanosleep=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19113 "configure"
+#line 19112 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -19135,15 +19134,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19138: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19137: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19141: \$? = $ac_status" >&5
+  echo "$as_me:19140: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19143: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19142: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19146: \$? = $ac_status" >&5
+  echo "$as_me:19145: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_nanosleep=yes
 else
@@ -19155,7 +19154,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:19158: result: $cf_cv_func_nanosleep" >&5
+echo "$as_me:19157: result: $cf_cv_func_nanosleep" >&5
 echo "${ECHO_T}$cf_cv_func_nanosleep" >&6
 
 test "$cf_cv_func_nanosleep" = "yes" &&
@@ -19172,23 +19171,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19175: checking for $ac_header" >&5
+echo "$as_me:19174: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19181 "configure"
+#line 19180 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19185: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19184: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19191: \$? = $ac_status" >&5
+  echo "$as_me:19190: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -19207,7 +19206,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19210: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19209: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19224,10 +19223,10 @@
 	(*)	termios_bad=maybe ;;
 	esac
 	if test "$termios_bad" = maybe ; then
-	echo "$as_me:19227: checking whether termios.h needs _POSIX_SOURCE" >&5
+	echo "$as_me:19226: checking whether termios.h needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether termios.h needs _POSIX_SOURCE... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19230 "configure"
+#line 19229 "configure"
 #include "confdefs.h"
 #include <termios.h>
 int
@@ -19239,16 +19238,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19242: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19241: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19245: \$? = $ac_status" >&5
+  echo "$as_me:19244: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19248: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19247: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19251: \$? = $ac_status" >&5
+  echo "$as_me:19250: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=no
 else
@@ -19256,7 +19255,7 @@
 cat conftest.$ac_ext >&5
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 19259 "configure"
+#line 19258 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -19270,16 +19269,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19273: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19272: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19276: \$? = $ac_status" >&5
+  echo "$as_me:19275: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19279: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19278: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19282: \$? = $ac_status" >&5
+  echo "$as_me:19281: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=unknown
 else
@@ -19295,19 +19294,19 @@
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:19298: result: $termios_bad" >&5
+	echo "$as_me:19297: result: $termios_bad" >&5
 echo "${ECHO_T}$termios_bad" >&6
 	fi
 fi
 
-echo "$as_me:19303: checking for tcgetattr" >&5
+echo "$as_me:19302: checking for tcgetattr" >&5
 echo $ECHO_N "checking for tcgetattr... $ECHO_C" >&6
 if test "${cf_cv_have_tcgetattr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19310 "configure"
+#line 19309 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -19335,16 +19334,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19338: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19337: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19341: \$? = $ac_status" >&5
+  echo "$as_me:19340: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19344: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19343: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19347: \$? = $ac_status" >&5
+  echo "$as_me:19346: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_tcgetattr=yes
 else
@@ -19354,21 +19353,21 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:19357: result: $cf_cv_have_tcgetattr" >&5
+echo "$as_me:19356: result: $cf_cv_have_tcgetattr" >&5
 echo "${ECHO_T}$cf_cv_have_tcgetattr" >&6
 test "$cf_cv_have_tcgetattr" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TCGETATTR 1
 EOF
 
-echo "$as_me:19364: checking for vsscanf function or workaround" >&5
+echo "$as_me:19363: checking for vsscanf function or workaround" >&5
 echo $ECHO_N "checking for vsscanf function or workaround... $ECHO_C" >&6
 if test "${cf_cv_func_vsscanf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19371 "configure"
+#line 19370 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -19384,16 +19383,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19387: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19386: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19390: \$? = $ac_status" >&5
+  echo "$as_me:19389: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19393: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19392: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19396: \$? = $ac_status" >&5
+  echo "$as_me:19395: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vsscanf
 else
@@ -19401,7 +19400,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19404 "configure"
+#line 19403 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -19423,16 +19422,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19426: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19425: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19429: \$? = $ac_status" >&5
+  echo "$as_me:19428: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19432: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19431: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19435: \$? = $ac_status" >&5
+  echo "$as_me:19434: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vfscanf
 else
@@ -19440,7 +19439,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19443 "configure"
+#line 19442 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -19462,16 +19461,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19465: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19464: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19468: \$? = $ac_status" >&5
+  echo "$as_me:19467: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19471: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19470: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19474: \$? = $ac_status" >&5
+  echo "$as_me:19473: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=_doscan
 else
@@ -19486,7 +19485,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:19489: result: $cf_cv_func_vsscanf" >&5
+echo "$as_me:19488: result: $cf_cv_func_vsscanf" >&5
 echo "${ECHO_T}$cf_cv_func_vsscanf" >&6
 
 case $cf_cv_func_vsscanf in
@@ -19512,23 +19511,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19515: checking for $ac_header" >&5
+echo "$as_me:19514: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19521 "configure"
+#line 19520 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19525: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19524: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19531: \$? = $ac_status" >&5
+  echo "$as_me:19530: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -19547,7 +19546,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19550: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19549: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19557,7 +19556,7 @@
 fi
 done
 
-echo "$as_me:19560: checking for working mkstemp" >&5
+echo "$as_me:19559: checking for working mkstemp" >&5
 echo $ECHO_N "checking for working mkstemp... $ECHO_C" >&6
 if test "${cf_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19568,7 +19567,7 @@
   cf_cv_func_mkstemp=maybe
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19571 "configure"
+#line 19570 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -19609,15 +19608,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19612: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19611: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19615: \$? = $ac_status" >&5
+  echo "$as_me:19614: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19617: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19616: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19620: \$? = $ac_status" >&5
+  echo "$as_me:19619: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_mkstemp=yes
 
@@ -19632,16 +19631,16 @@
 fi
 
 fi
-echo "$as_me:19635: result: $cf_cv_func_mkstemp" >&5
+echo "$as_me:19634: result: $cf_cv_func_mkstemp" >&5
 echo "${ECHO_T}$cf_cv_func_mkstemp" >&6
 if test "x$cf_cv_func_mkstemp" = xmaybe ; then
-	echo "$as_me:19638: checking for mkstemp" >&5
+	echo "$as_me:19637: checking for mkstemp" >&5
 echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
 if test "${ac_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19644 "configure"
+#line 19643 "configure"
 #include "confdefs.h"
 #define mkstemp autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -19672,16 +19671,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19675: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19674: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19678: \$? = $ac_status" >&5
+  echo "$as_me:19677: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19681: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19680: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19684: \$? = $ac_status" >&5
+  echo "$as_me:19683: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_mkstemp=yes
 else
@@ -19691,7 +19690,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:19694: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:19693: result: $ac_cv_func_mkstemp" >&5
 echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
 
 fi
@@ -19712,21 +19711,21 @@
 fi
 
 if test "x$cross_compiling" = xyes ; then
-	{ echo "$as_me:19715: WARNING: cross compiling: assume setvbuf params not reversed" >&5
+	{ echo "$as_me:19714: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
-	echo "$as_me:19718: checking whether setvbuf arguments are reversed" >&5
+	echo "$as_me:19717: checking whether setvbuf arguments are reversed" >&5
 echo $ECHO_N "checking whether setvbuf arguments are reversed... $ECHO_C" >&6
 if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:19724: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:19723: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19729 "configure"
+#line 19728 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 /* If setvbuf has the reversed format, exit 0. */
@@ -19743,15 +19742,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19746: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19745: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19749: \$? = $ac_status" >&5
+  echo "$as_me:19748: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19751: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19750: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19754: \$? = $ac_status" >&5
+  echo "$as_me:19753: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_setvbuf_reversed=yes
 else
@@ -19764,7 +19763,7 @@
 fi
 rm -f core core.* *.core
 fi
-echo "$as_me:19767: result: $ac_cv_func_setvbuf_reversed" >&5
+echo "$as_me:19766: result: $ac_cv_func_setvbuf_reversed" >&5
 echo "${ECHO_T}$ac_cv_func_setvbuf_reversed" >&6
 if test $ac_cv_func_setvbuf_reversed = yes; then
 
@@ -19775,13 +19774,13 @@
 fi
 
 fi
-echo "$as_me:19778: checking for intptr_t" >&5
+echo "$as_me:19777: checking for intptr_t" >&5
 echo $ECHO_N "checking for intptr_t... $ECHO_C" >&6
 if test "${ac_cv_type_intptr_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19784 "configure"
+#line 19783 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -19796,16 +19795,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19799: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19798: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19802: \$? = $ac_status" >&5
+  echo "$as_me:19801: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19805: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19804: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19808: \$? = $ac_status" >&5
+  echo "$as_me:19807: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_intptr_t=yes
 else
@@ -19815,7 +19814,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:19818: result: $ac_cv_type_intptr_t" >&5
+echo "$as_me:19817: result: $ac_cv_type_intptr_t" >&5
 echo "${ECHO_T}$ac_cv_type_intptr_t" >&6
 if test $ac_cv_type_intptr_t = yes; then
   :
@@ -19827,13 +19826,13 @@
 
 fi
 
-echo "$as_me:19830: checking for ssize_t" >&5
+echo "$as_me:19829: checking for ssize_t" >&5
 echo $ECHO_N "checking for ssize_t... $ECHO_C" >&6
 if test "${ac_cv_type_ssize_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19836 "configure"
+#line 19835 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -19848,16 +19847,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19851: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19850: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19854: \$? = $ac_status" >&5
+  echo "$as_me:19853: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19857: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19856: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19860: \$? = $ac_status" >&5
+  echo "$as_me:19859: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_ssize_t=yes
 else
@@ -19867,7 +19866,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:19870: result: $ac_cv_type_ssize_t" >&5
+echo "$as_me:19869: result: $ac_cv_type_ssize_t" >&5
 echo "${ECHO_T}$ac_cv_type_ssize_t" >&6
 if test $ac_cv_type_ssize_t = yes; then
   :
@@ -19879,14 +19878,14 @@
 
 fi
 
-echo "$as_me:19882: checking for type sigaction_t" >&5
+echo "$as_me:19881: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19889 "configure"
+#line 19888 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -19899,16 +19898,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19902: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19901: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19905: \$? = $ac_status" >&5
+  echo "$as_me:19904: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19908: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19907: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19911: \$? = $ac_status" >&5
+  echo "$as_me:19910: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -19919,14 +19918,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:19922: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:19921: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:19929: checking declaration of size-change" >&5
+echo "$as_me:19928: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19947,7 +19946,7 @@
 
 	fi
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19950 "configure"
+#line 19949 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -19993,16 +19992,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19996: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19995: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19999: \$? = $ac_status" >&5
+  echo "$as_me:19998: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20002: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20001: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20005: \$? = $ac_status" >&5
+  echo "$as_me:20004: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -20021,7 +20020,7 @@
 done
 
 fi
-echo "$as_me:20024: result: $cf_cv_sizechange" >&5
+echo "$as_me:20023: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 
@@ -20039,13 +20038,13 @@
 	esac
 fi
 
-echo "$as_me:20042: checking for memmove" >&5
+echo "$as_me:20041: checking for memmove" >&5
 echo $ECHO_N "checking for memmove... $ECHO_C" >&6
 if test "${ac_cv_func_memmove+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20048 "configure"
+#line 20047 "configure"
 #include "confdefs.h"
 #define memmove autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -20076,16 +20075,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20079: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20078: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20082: \$? = $ac_status" >&5
+  echo "$as_me:20081: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20085: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20084: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20088: \$? = $ac_status" >&5
+  echo "$as_me:20087: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_memmove=yes
 else
@@ -20095,19 +20094,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20098: result: $ac_cv_func_memmove" >&5
+echo "$as_me:20097: result: $ac_cv_func_memmove" >&5
 echo "${ECHO_T}$ac_cv_func_memmove" >&6
 if test $ac_cv_func_memmove = yes; then
   :
 else
 
-echo "$as_me:20104: checking for bcopy" >&5
+echo "$as_me:20103: checking for bcopy" >&5
 echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
 if test "${ac_cv_func_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20110 "configure"
+#line 20109 "configure"
 #include "confdefs.h"
 #define bcopy autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -20138,16 +20137,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20141: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20140: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20144: \$? = $ac_status" >&5
+  echo "$as_me:20143: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20147: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20146: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20150: \$? = $ac_status" >&5
+  echo "$as_me:20149: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_bcopy=yes
 else
@@ -20157,11 +20156,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20160: result: $ac_cv_func_bcopy" >&5
+echo "$as_me:20159: result: $ac_cv_func_bcopy" >&5
 echo "${ECHO_T}$ac_cv_func_bcopy" >&6
 if test $ac_cv_func_bcopy = yes; then
 
-	echo "$as_me:20164: checking if bcopy does overlapping moves" >&5
+	echo "$as_me:20163: checking if bcopy does overlapping moves" >&5
 echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
 if test "${cf_cv_good_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20171,7 +20170,7 @@
   cf_cv_good_bcopy=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20174 "configure"
+#line 20173 "configure"
 #include "confdefs.h"
 
 int main(void) {
@@ -20185,15 +20184,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20188: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20187: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20191: \$? = $ac_status" >&5
+  echo "$as_me:20190: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20193: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20192: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20196: \$? = $ac_status" >&5
+  echo "$as_me:20195: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_good_bcopy=yes
 else
@@ -20206,7 +20205,7 @@
 fi
 
 fi
-echo "$as_me:20209: result: $cf_cv_good_bcopy" >&5
+echo "$as_me:20208: result: $cf_cv_good_bcopy" >&5
 echo "${ECHO_T}$cf_cv_good_bcopy" >&6
 
 else
@@ -20233,13 +20232,13 @@
 for ac_func in posix_openpt
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:20236: checking for $ac_func" >&5
+echo "$as_me:20235: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20242 "configure"
+#line 20241 "configure"
 #include "confdefs.h"
 #define $ac_func autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -20270,16 +20269,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20273: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20272: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20276: \$? = $ac_status" >&5
+  echo "$as_me:20275: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20279: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20278: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20282: \$? = $ac_status" >&5
+  echo "$as_me:20281: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -20289,7 +20288,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20292: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:20291: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -20299,7 +20298,7 @@
 fi
 done
  }
-echo "$as_me:20302: checking if poll really works" >&5
+echo "$as_me:20301: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20309,7 +20308,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20312 "configure"
+#line 20311 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -20361,15 +20360,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20364: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20363: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20367: \$? = $ac_status" >&5
+  echo "$as_me:20366: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20369: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20368: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20372: \$? = $ac_status" >&5
+  echo "$as_me:20371: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -20381,21 +20380,21 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:20384: result: $cf_cv_working_poll" >&5
+echo "$as_me:20383: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" &&
 cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:20391: checking for va_copy" >&5
+echo "$as_me:20390: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 20398 "configure"
+#line 20397 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -20412,16 +20411,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20415: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20414: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20418: \$? = $ac_status" >&5
+  echo "$as_me:20417: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20421: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20420: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20424: \$? = $ac_status" >&5
+  echo "$as_me:20423: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -20431,7 +20430,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20434: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:20433: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 if test "$cf_cv_have_va_copy" = yes;
@@ -20443,14 +20442,14 @@
 
 else # !cf_cv_have_va_copy
 
-echo "$as_me:20446: checking for __va_copy" >&5
+echo "$as_me:20445: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 20453 "configure"
+#line 20452 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -20467,16 +20466,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20470: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20469: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20473: \$? = $ac_status" >&5
+  echo "$as_me:20472: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20476: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20475: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20479: \$? = $ac_status" >&5
+  echo "$as_me:20478: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -20486,7 +20485,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20489: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:20488: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 if test "$cf_cv_have___va_copy" = yes
@@ -20498,14 +20497,14 @@
 
 else # !cf_cv_have___va_copy
 
-echo "$as_me:20501: checking for __builtin_va_copy" >&5
+echo "$as_me:20500: checking for __builtin_va_copy" >&5
 echo $ECHO_N "checking for __builtin_va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___builtin_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 20508 "configure"
+#line 20507 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -20522,16 +20521,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20525: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20524: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20528: \$? = $ac_status" >&5
+  echo "$as_me:20527: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20531: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20530: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20534: \$? = $ac_status" >&5
+  echo "$as_me:20533: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___builtin_va_copy=yes
 else
@@ -20541,7 +20540,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20544: result: $cf_cv_have___builtin_va_copy" >&5
+echo "$as_me:20543: result: $cf_cv_have___builtin_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___builtin_va_copy" >&6
 
 test "$cf_cv_have___builtin_va_copy" = yes &&
@@ -20559,14 +20558,14 @@
 	;;
 
 (*)
-	echo "$as_me:20562: checking if we can simply copy va_list" >&5
+	echo "$as_me:20561: checking if we can simply copy va_list" >&5
 echo $ECHO_N "checking if we can simply copy va_list... $ECHO_C" >&6
 if test "${cf_cv_pointer_va_list+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 20569 "configure"
+#line 20568 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -20583,16 +20582,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20586: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20585: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20589: \$? = $ac_status" >&5
+  echo "$as_me:20588: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20592: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20591: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20595: \$? = $ac_status" >&5
+  echo "$as_me:20594: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_pointer_va_list=yes
 else
@@ -20602,19 +20601,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20605: result: $cf_cv_pointer_va_list" >&5
+echo "$as_me:20604: result: $cf_cv_pointer_va_list" >&5
 echo "${ECHO_T}$cf_cv_pointer_va_list" >&6
 
 	if test "$cf_cv_pointer_va_list" = no
 	then
-		echo "$as_me:20610: checking if we can copy va_list indirectly" >&5
+		echo "$as_me:20609: checking if we can copy va_list indirectly" >&5
 echo $ECHO_N "checking if we can copy va_list indirectly... $ECHO_C" >&6
 if test "${cf_cv_array_va_list+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 20617 "configure"
+#line 20616 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -20631,16 +20630,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20634: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20633: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20637: \$? = $ac_status" >&5
+  echo "$as_me:20636: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20640: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20639: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20643: \$? = $ac_status" >&5
+  echo "$as_me:20642: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_array_va_list=yes
 else
@@ -20650,7 +20649,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20653: result: $cf_cv_array_va_list" >&5
+echo "$as_me:20652: result: $cf_cv_array_va_list" >&5
 echo "${ECHO_T}$cf_cv_array_va_list" >&6
 		test "$cf_cv_array_va_list" = yes &&
 cat >>confdefs.h <<\EOF
@@ -20661,13 +20660,13 @@
 	;;
 esac
 
-echo "$as_me:20664: checking for pid_t" >&5
+echo "$as_me:20663: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20670 "configure"
+#line 20669 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20682,16 +20681,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20685: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20684: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20688: \$? = $ac_status" >&5
+  echo "$as_me:20687: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20691: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20690: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20694: \$? = $ac_status" >&5
+  echo "$as_me:20693: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -20701,7 +20700,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:20704: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:20703: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -20716,23 +20715,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:20719: checking for $ac_header" >&5
+echo "$as_me:20718: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20725 "configure"
+#line 20724 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:20729: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20728: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20735: \$? = $ac_status" >&5
+  echo "$as_me:20734: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -20751,7 +20750,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:20754: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:20753: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -20764,13 +20763,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:20767: checking for $ac_func" >&5
+echo "$as_me:20766: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20773 "configure"
+#line 20772 "configure"
 #include "confdefs.h"
 #define $ac_func autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -20801,16 +20800,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20804: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20803: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20807: \$? = $ac_status" >&5
+  echo "$as_me:20806: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20810: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20809: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20813: \$? = $ac_status" >&5
+  echo "$as_me:20812: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -20820,7 +20819,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:20823: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:20822: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -20832,7 +20831,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:20835: checking for working fork" >&5
+  echo "$as_me:20834: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20855,15 +20854,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20858: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20857: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20861: \$? = $ac_status" >&5
+  echo "$as_me:20860: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20863: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20862: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20866: \$? = $ac_status" >&5
+  echo "$as_me:20865: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -20875,7 +20874,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:20878: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:20877: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -20889,12 +20888,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:20892: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:20891: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:20897: checking for working vfork" >&5
+  echo "$as_me:20896: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20903,7 +20902,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20906 "configure"
+#line 20905 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -21000,15 +20999,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:21003: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21002: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21006: \$? = $ac_status" >&5
+  echo "$as_me:21005: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:21008: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21007: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21011: \$? = $ac_status" >&5
+  echo "$as_me:21010: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -21020,13 +21019,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:21023: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:21022: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:21029: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:21028: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -21053,7 +21052,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:21056: checking for openpty in -lutil" >&5
+echo "$as_me:21055: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21061,7 +21060,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 21064 "configure"
+#line 21063 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -21080,16 +21079,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21083: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21082: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21086: \$? = $ac_status" >&5
+  echo "$as_me:21085: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21089: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21088: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21092: \$? = $ac_status" >&5
+  echo "$as_me:21091: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -21100,7 +21099,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:21103: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:21102: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -21108,7 +21107,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:21111: checking for openpty header" >&5
+echo "$as_me:21110: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21135,7 +21134,7 @@
 	for cf_header in pty.h libutil.h util.h
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21138 "configure"
+#line 21137 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -21152,16 +21151,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21155: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21154: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21158: \$? = $ac_status" >&5
+  echo "$as_me:21157: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21161: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21160: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21164: \$? = $ac_status" >&5
+  echo "$as_me:21163: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		cf_cv_func_openpty=$cf_header
@@ -21179,7 +21178,7 @@
 	LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:21182: result: $cf_cv_func_openpty" >&5
+echo "$as_me:21181: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -21252,7 +21251,7 @@
 	CPPFLAGS="${CPPFLAGS}-I$cf_add_incdir"
 
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 21255 "configure"
+#line 21254 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -21264,16 +21263,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21267: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21266: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21270: \$? = $ac_status" >&5
+  echo "$as_me:21269: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21273: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21272: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21276: \$? = $ac_status" >&5
+  echo "$as_me:21275: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -21290,7 +21289,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:21293: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:21292: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -21326,7 +21325,7 @@
 			if test "$cf_have_libdir" = no ; then
 				test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:21329: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:21328: testing adding $cf_add_libdir to library-path ..." 1>&5
 
 				LDFLAGS="-L$cf_add_libdir $LDFLAGS"
 			fi
@@ -21337,7 +21336,7 @@
 	else
 		case "$with_hashed_db" in
 		(./*|../*|/*)
-			{ echo "$as_me:21340: WARNING: no such directory $with_hashed_db" >&5
+			{ echo "$as_me:21339: WARNING: no such directory $with_hashed_db" >&5
 echo "$as_me: WARNING: no such directory $with_hashed_db" >&2;}
 			;;
 		(*)
@@ -21409,7 +21408,7 @@
 	CPPFLAGS="${CPPFLAGS}-I$cf_add_incdir"
 
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 21412 "configure"
+#line 21411 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -21421,16 +21420,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21424: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21423: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21427: \$? = $ac_status" >&5
+  echo "$as_me:21426: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21430: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21429: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21433: \$? = $ac_status" >&5
+  echo "$as_me:21432: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -21447,7 +21446,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:21450: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:21449: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -21527,7 +21526,7 @@
 			if test "$cf_have_libdir" = no ; then
 				test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:21530: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:21529: testing adding $cf_add_libdir to library-path ..." 1>&5
 
 				LDFLAGS="-L$cf_add_libdir $LDFLAGS"
 			fi
@@ -21544,23 +21543,23 @@
 	fi
 esac
 
-echo "$as_me:21547: checking for db.h" >&5
+echo "$as_me:21546: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 21553 "configure"
+#line 21552 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:21557: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:21556: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:21563: \$? = $ac_status" >&5
+  echo "$as_me:21562: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -21579,11 +21578,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:21582: result: $ac_cv_header_db_h" >&5
+echo "$as_me:21581: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:21586: checking for version of db" >&5
+echo "$as_me:21585: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21594,10 +21593,10 @@
 for cf_db_version in 1 2 3 4 5 6
 do
 
-echo "${as_me:-configure}:21597: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:21596: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21600 "configure"
+#line 21599 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -21627,16 +21626,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21630: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21629: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21633: \$? = $ac_status" >&5
+  echo "$as_me:21632: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21636: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21635: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21639: \$? = $ac_status" >&5
+  echo "$as_me:21638: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -21650,16 +21649,16 @@
 done
 
 fi
-echo "$as_me:21653: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:21652: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:21657: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:21656: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:21662: checking for db libraries" >&5
+echo "$as_me:21661: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21689,10 +21688,10 @@
 
 	fi
 
-echo "${as_me:-configure}:21692: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:21691: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21695 "configure"
+#line 21694 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -21747,16 +21746,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21750: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21749: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21753: \$? = $ac_status" >&5
+  echo "$as_me:21752: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21756: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21755: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21759: \$? = $ac_status" >&5
+  echo "$as_me:21758: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -21776,11 +21775,11 @@
 done
 
 fi
-echo "$as_me:21779: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:21778: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:21783: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:21782: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -21806,7 +21805,7 @@
 
 else
 
-	{ { echo "$as_me:21809: error: Cannot find db.h" >&5
+	{ { echo "$as_me:21808: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -21821,7 +21820,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:21824: checking if we should include stdbool.h" >&5
+echo "$as_me:21823: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -21829,7 +21828,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21832 "configure"
+#line 21831 "configure"
 #include "confdefs.h"
 
 int
@@ -21841,23 +21840,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21844: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21843: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21847: \$? = $ac_status" >&5
+  echo "$as_me:21846: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21850: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21849: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21853: \$? = $ac_status" >&5
+  echo "$as_me:21852: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 21860 "configure"
+#line 21859 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -21873,16 +21872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21876: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21875: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21879: \$? = $ac_status" >&5
+  echo "$as_me:21878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21882: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21885: \$? = $ac_status" >&5
+  echo "$as_me:21884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -21896,13 +21895,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:21899: result: yes" >&5
+then	echo "$as_me:21898: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:21901: result: no" >&5
+else	echo "$as_me:21900: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:21905: checking for builtin bool type" >&5
+echo "$as_me:21904: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -21910,7 +21909,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21913 "configure"
+#line 21912 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -21925,16 +21924,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21928: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21927: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21931: \$? = $ac_status" >&5
+  echo "$as_me:21930: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21934: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21933: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21937: \$? = $ac_status" >&5
+  echo "$as_me:21936: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -21947,9 +21946,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:21950: result: yes" >&5
+then	echo "$as_me:21949: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:21952: result: no" >&5
+else	echo "$as_me:21951: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21966,10 +21965,10 @@
 
 	cf_save="$LIBS"
 	LIBS="$LIBS $CXXLIBS"
-	echo "$as_me:21969: checking if we already have C++ library" >&5
+	echo "$as_me:21968: checking if we already have C++ library" >&5
 echo $ECHO_N "checking if we already have C++ library... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21972 "configure"
+#line 21971 "configure"
 #include "confdefs.h"
 
 			#include <iostream>
@@ -21983,16 +21982,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21986: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21985: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21989: \$? = $ac_status" >&5
+  echo "$as_me:21988: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21992: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21991: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21995: \$? = $ac_status" >&5
+  echo "$as_me:21994: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_have_libstdcpp=yes
 else
@@ -22001,7 +22000,7 @@
 cf_have_libstdcpp=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-	echo "$as_me:22004: result: $cf_have_libstdcpp" >&5
+	echo "$as_me:22003: result: $cf_have_libstdcpp" >&5
 echo "${ECHO_T}$cf_have_libstdcpp" >&6
 	LIBS="$cf_save"
 
@@ -22020,7 +22019,7 @@
 			;;
 		esac
 
-		echo "$as_me:22023: checking for library $cf_stdcpp_libname" >&5
+		echo "$as_me:22022: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22046,7 +22045,7 @@
 LIBS="$cf_add_libs"
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 22049 "configure"
+#line 22048 "configure"
 #include "confdefs.h"
 
 				#include <iostream>
@@ -22060,16 +22059,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22063: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22062: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22066: \$? = $ac_status" >&5
+  echo "$as_me:22065: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22069: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22068: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22072: \$? = $ac_status" >&5
+  echo "$as_me:22071: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -22081,7 +22080,7 @@
 			LIBS="$cf_save"
 
 fi
-echo "$as_me:22084: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:22083: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 		test "$cf_cv_libstdcpp" = yes && {
 cf_add_libs="-l$cf_stdcpp_libname"
@@ -22103,7 +22102,7 @@
 	fi
 fi
 
-	echo "$as_me:22106: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:22105: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22118,15 +22117,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX $CXXFLAGS $CPPFLAGS -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:22121: \"$ac_try\"") >&5
+if { (eval echo "$as_me:22120: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22124: \$? = $ac_status" >&5
+  echo "$as_me:22123: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:22126: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:22125: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22129: \$? = $ac_status" >&5
+  echo "$as_me:22128: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -22137,10 +22136,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:22140: result: yes" >&5
+  echo "$as_me:22139: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:22143: result: no" >&5
+  echo "$as_me:22142: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -22160,7 +22159,7 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:22163: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:22162: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 
@@ -22181,7 +22180,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 22184 "configure"
+#line 22183 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -22195,16 +22194,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22198: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22197: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22201: \$? = $ac_status" >&5
+  echo "$as_me:22200: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22204: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22203: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22207: \$? = $ac_status" >&5
+  echo "$as_me:22206: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -22241,7 +22240,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 22244 "configure"
+#line 22243 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -22255,16 +22254,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22258: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22257: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22261: \$? = $ac_status" >&5
+  echo "$as_me:22260: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22264: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22263: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22267: \$? = $ac_status" >&5
+  echo "$as_me:22266: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -22297,7 +22296,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:22300: result: $cf_cxx_library" >&5
+	echo "$as_me:22299: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -22313,7 +22312,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:22316: checking how to run the C++ preprocessor" >&5
+echo "$as_me:22315: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -22330,18 +22329,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22333 "configure"
+#line 22332 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:22338: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22337: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22344: \$? = $ac_status" >&5
+  echo "$as_me:22343: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22364,17 +22363,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22367 "configure"
+#line 22366 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:22371: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22370: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22377: \$? = $ac_status" >&5
+  echo "$as_me:22376: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22411,7 +22410,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:22414: result: $CXXCPP" >&5
+echo "$as_me:22413: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -22421,18 +22420,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22424 "configure"
+#line 22423 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:22429: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22428: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22435: \$? = $ac_status" >&5
+  echo "$as_me:22434: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22455,17 +22454,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22458 "configure"
+#line 22457 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:22462: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22461: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22468: \$? = $ac_status" >&5
+  echo "$as_me:22467: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22493,7 +22492,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:22496: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:22495: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -22508,23 +22507,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:22511: checking for $ac_header" >&5
+echo "$as_me:22510: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22517 "configure"
+#line 22516 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:22521: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22520: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22527: \$? = $ac_status" >&5
+  echo "$as_me:22526: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22543,7 +22542,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:22546: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:22545: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -22556,23 +22555,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:22559: checking for $ac_header" >&5
+echo "$as_me:22558: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22565 "configure"
+#line 22564 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:22569: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22568: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22575: \$? = $ac_status" >&5
+  echo "$as_me:22574: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22591,7 +22590,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:22594: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:22593: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -22602,10 +22601,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:22605: checking if iostream uses std-namespace" >&5
+	echo "$as_me:22604: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 22608 "configure"
+#line 22607 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -22622,16 +22621,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22625: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22624: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22628: \$? = $ac_status" >&5
+  echo "$as_me:22627: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22631: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22630: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22634: \$? = $ac_status" >&5
+  echo "$as_me:22633: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -22640,7 +22639,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:22643: result: $cf_iostream_namespace" >&5
+	echo "$as_me:22642: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 
@@ -22651,7 +22650,7 @@
 	fi
 fi
 
-echo "$as_me:22654: checking if we should include stdbool.h" >&5
+echo "$as_me:22653: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -22659,7 +22658,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 22662 "configure"
+#line 22661 "configure"
 #include "confdefs.h"
 
 int
@@ -22671,23 +22670,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22674: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22673: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22677: \$? = $ac_status" >&5
+  echo "$as_me:22676: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22680: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22679: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22683: \$? = $ac_status" >&5
+  echo "$as_me:22682: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 22690 "configure"
+#line 22689 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -22703,16 +22702,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22706: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22705: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22709: \$? = $ac_status" >&5
+  echo "$as_me:22708: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22712: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22711: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22715: \$? = $ac_status" >&5
+  echo "$as_me:22714: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -22726,13 +22725,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:22729: result: yes" >&5
+then	echo "$as_me:22728: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:22731: result: no" >&5
+else	echo "$as_me:22730: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:22735: checking for builtin bool type" >&5
+echo "$as_me:22734: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -22740,7 +22739,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 22743 "configure"
+#line 22742 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -22755,16 +22754,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22758: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22757: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22761: \$? = $ac_status" >&5
+  echo "$as_me:22760: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22764: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22763: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22767: \$? = $ac_status" >&5
+  echo "$as_me:22766: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -22777,13 +22776,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:22780: result: yes" >&5
+then	echo "$as_me:22779: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:22782: result: no" >&5
+else	echo "$as_me:22781: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:22786: checking for size of bool" >&5
+echo "$as_me:22785: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22794,7 +22793,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22797 "configure"
+#line 22796 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -22836,15 +22835,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:22839: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22838: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22842: \$? = $ac_status" >&5
+  echo "$as_me:22841: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:22844: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22843: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22847: \$? = $ac_status" >&5
+  echo "$as_me:22846: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -22862,18 +22861,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:22865: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:22864: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in
 	(.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:22871: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:22870: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:22876: checking for special defines needed for etip.h" >&5
+echo "$as_me:22875: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -22891,7 +22890,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 22894 "configure"
+#line 22893 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -22905,16 +22904,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22908: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22907: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22911: \$? = $ac_status" >&5
+  echo "$as_me:22910: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22914: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22913: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22917: \$? = $ac_status" >&5
+  echo "$as_me:22916: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -22935,12 +22934,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:22938: result: $cf_result" >&5
+echo "$as_me:22937: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:22943: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:22942: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22957,7 +22956,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22960 "configure"
+#line 22959 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -22976,15 +22975,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:22979: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22978: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22982: \$? = $ac_status" >&5
+  echo "$as_me:22981: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:22984: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22983: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22987: \$? = $ac_status" >&5
+  echo "$as_me:22986: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -23003,7 +23002,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:23006: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:23005: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -23013,7 +23012,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:23016: checking if $CXX accepts static_cast" >&5
+echo "$as_me:23015: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23027,7 +23026,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 23030 "configure"
+#line 23029 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -23071,16 +23070,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23074: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23073: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23077: \$? = $ac_status" >&5
+  echo "$as_me:23076: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23080: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23079: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23083: \$? = $ac_status" >&5
+  echo "$as_me:23082: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -23098,7 +23097,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:23101: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:23100: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -23147,7 +23146,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:23150: checking for size of bool" >&5
+echo "$as_me:23149: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23158,7 +23157,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 23161 "configure"
+#line 23160 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -23200,15 +23199,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:23203: \"$ac_link\"") >&5
+if { (eval echo "$as_me:23202: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:23206: \$? = $ac_status" >&5
+  echo "$as_me:23205: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:23208: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23207: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23211: \$? = $ac_status" >&5
+  echo "$as_me:23210: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -23226,25 +23225,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:23229: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:23228: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in
 	(.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:23235: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:23234: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:23241: checking for fallback type of bool" >&5
+			echo "$as_me:23240: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in
 			(i?86)	cf_cv_type_of_bool=char	;;
 			(*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:23247: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:23246: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -23273,7 +23272,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:23276: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:23275: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -23285,7 +23284,7 @@
 cf_ada_config="#"
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:23288: checking for $ac_word" >&5
+echo "$as_me:23287: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnatmake_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23300,7 +23299,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnatmake_exists="yes"
-echo "$as_me:23303: found $ac_dir/$ac_word" >&5
+echo "$as_me:23302: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -23309,10 +23308,10 @@
 fi
 gnatmake_exists=$ac_cv_prog_gnatmake_exists
 if test -n "$gnatmake_exists"; then
-  echo "$as_me:23312: result: $gnatmake_exists" >&5
+  echo "$as_me:23311: result: $gnatmake_exists" >&5
 echo "${ECHO_T}$gnatmake_exists" >&6
 else
-  echo "$as_me:23315: result: no" >&5
+  echo "$as_me:23314: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23322,7 +23321,7 @@
 else
 	# Extract the first word of "gprconfig", so it can be a program name with args.
 set dummy gprconfig; ac_word=$2
-echo "$as_me:23325: checking for $ac_word" >&5
+echo "$as_me:23324: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gprconfig_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23337,7 +23336,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gprconfig_exists="yes"
-echo "$as_me:23340: found $ac_dir/$ac_word" >&5
+echo "$as_me:23339: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -23346,10 +23345,10 @@
 fi
 gprconfig_exists=$ac_cv_prog_gprconfig_exists
 if test -n "$gprconfig_exists"; then
-  echo "$as_me:23349: result: $gprconfig_exists" >&5
+  echo "$as_me:23348: result: $gprconfig_exists" >&5
 echo "${ECHO_T}$gprconfig_exists" >&6
 else
-  echo "$as_me:23352: result: no" >&5
+  echo "$as_me:23351: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23362,7 +23361,7 @@
 			cd conftest.src
 			for cf_gprconfig in Ada C
 			do
-				echo "$as_me:23365: checking for gprconfig name for $cf_gprconfig" >&5
+				echo "$as_me:23364: checking for gprconfig name for $cf_gprconfig" >&5
 echo $ECHO_N "checking for gprconfig name for $cf_gprconfig... $ECHO_C" >&6
 				if test $cf_gprconfig = C
 				then
@@ -23381,10 +23380,10 @@
 				if test -n "$cf_gprconfig_value"
 				then
 					eval cf_ada_config_$cf_gprconfig=$cf_gprconfig_value
-					echo "$as_me:23384: result: $cf_gprconfig_value" >&5
+					echo "$as_me:23383: result: $cf_gprconfig_value" >&5
 echo "${ECHO_T}$cf_gprconfig_value" >&6
 				else
-					echo "$as_me:23387: result: missing" >&5
+					echo "$as_me:23386: result: missing" >&5
 echo "${ECHO_T}missing" >&6
 					cf_ada_config="#"
 					break
@@ -23400,12 +23399,12 @@
 	if test "x$cf_ada_config" != "x#"
 	then
 
-echo "$as_me:23403: checking for gnat version" >&5
+echo "$as_me:23402: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
 	sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:23408: result: $cf_gnat_version" >&5
+echo "$as_me:23407: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in
@@ -23413,7 +23412,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 (*)
-	{ echo "$as_me:23416: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:23415: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -23421,7 +23420,7 @@
 
 		# Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:23424: checking for $ac_word" >&5
+echo "$as_me:23423: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23436,7 +23435,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:23439: found $ac_dir/$ac_word" >&5
+echo "$as_me:23438: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -23445,10 +23444,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:23448: result: $M4_exists" >&5
+  echo "$as_me:23447: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:23451: result: no" >&5
+  echo "$as_me:23450: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23457,7 +23456,7 @@
 			echo Ada95 binding required program m4 not found. Ada95 binding disabled.
 		fi
 		if test "$cf_cv_prog_gnat_correct" = yes; then
-			echo "$as_me:23460: checking if GNAT works" >&5
+			echo "$as_me:23459: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -23485,7 +23484,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-			echo "$as_me:23488: result: $cf_cv_prog_gnat_correct" >&5
+			echo "$as_me:23487: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
 		fi
 	else
@@ -23497,7 +23496,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:23500: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:23499: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	(*-g*)
@@ -23514,10 +23513,10 @@
 
 		;;
 	esac
-	echo "$as_me:23517: result: $ADAFLAGS" >&5
+	echo "$as_me:23516: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:23520: checking if GNATPREP supports -T option" >&5
+echo "$as_me:23519: checking if GNATPREP supports -T option" >&5
 echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
 if test "${cf_cv_gnatprep_opt_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23527,11 +23526,11 @@
 gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
 
 fi
-echo "$as_me:23530: result: $cf_cv_gnatprep_opt_t" >&5
+echo "$as_me:23529: result: $cf_cv_gnatprep_opt_t" >&5
 echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
 test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
 
-echo "$as_me:23534: checking if GNAT supports generics" >&5
+echo "$as_me:23533: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in
 (3.[1-9]*|[4-9].*)
@@ -23541,7 +23540,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:23544: result: $cf_gnat_generics" >&5
+echo "$as_me:23543: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -23553,7 +23552,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:23556: checking if GNAT supports SIGINT" >&5
+echo "$as_me:23555: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23601,7 +23600,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:23604: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:23603: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -23614,7 +23613,7 @@
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:23617: checking if GNAT supports project files" >&5
+echo "$as_me:23616: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in
 (3.[0-9]*)
@@ -23677,15 +23676,15 @@
 	esac
 	;;
 esac
-echo "$as_me:23680: result: $cf_gnat_projects" >&5
+echo "$as_me:23679: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:23686: checking if GNAT supports libraries" >&5
+	echo "$as_me:23685: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:23688: result: $cf_gnat_libraries" >&5
+	echo "$as_me:23687: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -23705,7 +23704,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:23708: checking for ada-compiler" >&5
+echo "$as_me:23707: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -23716,12 +23715,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:23719: result: $cf_ada_compiler" >&5
+echo "$as_me:23718: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:23724: checking for ada-include" >&5
+echo "$as_me:23723: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -23757,7 +23756,7 @@
 	withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
 	;;
 (*)
-	{ { echo "$as_me:23760: error: expected a pathname, not \"$withval\"" >&5
+	{ { echo "$as_me:23759: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
 	;;
@@ -23766,10 +23765,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:23769: result: $ADA_INCLUDE" >&5
+echo "$as_me:23768: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:23772: checking for ada-objects" >&5
+echo "$as_me:23771: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -23805,7 +23804,7 @@
 	withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
 	;;
 (*)
-	{ { echo "$as_me:23808: error: expected a pathname, not \"$withval\"" >&5
+	{ { echo "$as_me:23807: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
 	;;
@@ -23814,10 +23813,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:23817: result: $ADA_OBJECTS" >&5
+echo "$as_me:23816: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:23820: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:23819: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -23827,14 +23826,14 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:23830: result: $with_ada_sharedlib" >&5
+echo "$as_me:23829: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 if test "x$with_ada_sharedlib" != xno
 then
 	if test "x$cf_gnat_projects" != xyes
 	then
-		{ echo "$as_me:23837: WARNING: disabling shared-library since GNAT projects are not supported" >&5
+		{ echo "$as_me:23836: WARNING: disabling shared-library since GNAT projects are not supported" >&5
 echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;}
 		with_ada_sharedlib=no
 	fi
@@ -23860,13 +23859,13 @@
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-	echo "$as_me:23863: checking for wchar_t" >&5
+	echo "$as_me:23862: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 23869 "configure"
+#line 23868 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23881,16 +23880,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23884: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23883: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23887: \$? = $ac_status" >&5
+  echo "$as_me:23886: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23890: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23889: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23893: \$? = $ac_status" >&5
+  echo "$as_me:23892: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -23900,10 +23899,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:23903: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:23902: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:23906: checking size of wchar_t" >&5
+echo "$as_me:23905: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23912,7 +23911,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 23915 "configure"
+#line 23914 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23924,21 +23923,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23927: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23926: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23930: \$? = $ac_status" >&5
+  echo "$as_me:23929: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23933: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23932: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23936: \$? = $ac_status" >&5
+  echo "$as_me:23935: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 23941 "configure"
+#line 23940 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23950,16 +23949,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23953: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23952: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23956: \$? = $ac_status" >&5
+  echo "$as_me:23955: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23959: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23958: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23962: \$? = $ac_status" >&5
+  echo "$as_me:23961: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -23975,7 +23974,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 23978 "configure"
+#line 23977 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23987,16 +23986,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23990: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23989: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23993: \$? = $ac_status" >&5
+  echo "$as_me:23992: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23996: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23995: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23999: \$? = $ac_status" >&5
+  echo "$as_me:23998: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -24012,7 +24011,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 24015 "configure"
+#line 24014 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -24024,16 +24023,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:24027: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:24026: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:24030: \$? = $ac_status" >&5
+  echo "$as_me:24029: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:24033: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24032: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24036: \$? = $ac_status" >&5
+  echo "$as_me:24035: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -24046,12 +24045,12 @@
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:24049: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:24048: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 24054 "configure"
+#line 24053 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -24067,15 +24066,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:24070: \"$ac_link\"") >&5
+if { (eval echo "$as_me:24069: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:24073: \$? = $ac_status" >&5
+  echo "$as_me:24072: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:24075: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24074: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24078: \$? = $ac_status" >&5
+  echo "$as_me:24077: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -24091,7 +24090,7 @@
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:24094: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:24093: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -24109,7 +24108,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:24112: checking for library subsets" >&5
+echo "$as_me:24111: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -24151,7 +24150,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:24154: result: $LIB_SUBSETS" >&5
+echo "$as_me:24153: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -24182,7 +24181,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:24185: checking default library suffix" >&5
+echo "$as_me:24184: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -24193,10 +24192,10 @@
 	(shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:24196: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:24195: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:24199: checking default library-dependency suffix" >&5
+echo "$as_me:24198: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in
@@ -24254,10 +24253,10 @@
 		DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}"
 		DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}"
 	fi
-echo "$as_me:24257: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:24256: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:24260: checking default object directory" >&5
+echo "$as_me:24259: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -24273,11 +24272,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:24276: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:24275: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:24280: checking c++ library-dependency suffix" >&5
+echo "$as_me:24279: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -24345,7 +24344,7 @@
 	fi
 
 fi
-echo "$as_me:24348: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:24347: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -24521,19 +24520,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:24524: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:24523: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 24529 "configure"
+#line 24528 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:24533: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:24532: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:24536: \$? = $ac_status" >&5
+  echo "$as_me:24535: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -24544,10 +24543,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 24547 "configure"
+#line 24546 "configure"
 #include "confdefs.h"
 
-#line 24550 "configure"
+#line 24549 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -24562,16 +24561,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:24565: \"$ac_link\"") >&5
+if { (eval echo "$as_me:24564: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:24568: \$? = $ac_status" >&5
+  echo "$as_me:24567: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:24571: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24570: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24574: \$? = $ac_status" >&5
+  echo "$as_me:24573: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -24594,7 +24593,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:24597: result: $cf_ldflags_static" >&5
+	echo "$as_me:24596: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -24610,7 +24609,7 @@
 	;;
 esac
 
-echo "$as_me:24613: checking where we will install curses.h" >&5
+echo "$as_me:24612: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -24620,7 +24619,7 @@
 then
 	includesubdir="/ncurses${USE_LIB_SUFFIX}"
 fi
-echo "$as_me:24623: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:24622: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -24628,7 +24627,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:24631: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:24630: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -24646,7 +24645,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:24649: checking for src modules" >&5
+echo "$as_me:24648: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -24711,7 +24710,7 @@
 		fi
 	fi
 done
-echo "$as_me:24714: result: $cf_cv_src_modules" >&5
+echo "$as_me:24713: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -24948,7 +24947,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:24951: checking for $ac_word" >&5
+echo "$as_me:24950: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -24965,7 +24964,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:24968: found $ac_dir/$ac_word" >&5
+   echo "$as_me:24967: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -24977,10 +24976,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:24980: result: $TIC_PATH" >&5
+  echo "$as_me:24979: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:24983: result: no" >&5
+  echo "$as_me:24982: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -24988,7 +24987,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:24991: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:24990: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -25024,7 +25023,7 @@
 	(*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:25027: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:25026: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -25035,7 +25034,7 @@
 
 # Help to automatically enable the extended curses features when using either
 # the *-config or the ".pc" files by adding defines.
-echo "$as_me:25038: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
+echo "$as_me:25037: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
 echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6
 PKG_CFLAGS=
 for cf_loop1 in $CPPFLAGS_after_XOPEN
@@ -25051,7 +25050,7 @@
 	done
 	test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1"
 done
-echo "$as_me:25054: result: $PKG_CFLAGS" >&5
+echo "$as_me:25053: result: $PKG_CFLAGS" >&5
 echo "${ECHO_T}$PKG_CFLAGS" >&6
 
 # AC_CHECK_SIZEOF demands a literal parameter, no variables.  So we do this.
@@ -25083,16 +25082,20 @@
 # substitute into misc/Makefile to suppress
 # (un)install.data from the
 # (un)install rules.
-if test "x$cf_with_db_install" = "xno" || test "x$TERMINFO_SRC" = "xno"; then
-	MAKE_DATABASE="#"
+if test "x$cf_with_db_install" = "xno"; then
 	MISC_INSTALL_DATA=
 	MISC_UNINSTALL_DATA=
 else
-	MAKE_DATABASE=""
 	MISC_INSTALL_DATA=install.data
 	MISC_UNINSTALL_DATA=uninstall.data
 fi
 
+if test "x$cf_with_db_install" = "xno" || test "x$TERMINFO_SRC" = "xno"; then
+	MAKE_DATABASE="#"
+else
+	MAKE_DATABASE="$MAKE_TERMINFO"
+fi
+
 SUB_SCRIPTS=
 
 if test -n "$PACKAGE"
@@ -25110,7 +25113,7 @@
 	cf_filter_syms=$cf_dft_filter_syms
 	test -n "$verbose" && echo "	will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:25113: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:25116: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
 fi
 
@@ -25220,7 +25223,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:25223: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:25226: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -25396,7 +25399,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:25399: error: ambiguous option: $1
+    { { echo "$as_me:25402: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -25415,7 +25418,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:25418: error: unrecognized option: $1
+  -*) { { echo "$as_me:25421: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -25535,7 +25538,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:25538: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:25541: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -25890,9 +25893,9 @@
 s,@CXX_NAME@,$CXX_NAME,;t t
 s,@LIBTOOL_OPTS_CXX@,$LIBTOOL_OPTS_CXX,;t t
 s,@PKG_CFLAGS@,$PKG_CFLAGS,;t t
-s,@MAKE_DATABASE@,$MAKE_DATABASE,;t t
 s,@MISC_INSTALL_DATA@,$MISC_INSTALL_DATA,;t t
 s,@MISC_UNINSTALL_DATA@,$MISC_UNINSTALL_DATA,;t t
+s,@MAKE_DATABASE@,$MAKE_DATABASE,;t t
 s,@UNALTERED_SYMS@,$UNALTERED_SYMS,;t t
 s,@ADAGEN_LDFLAGS@,$ADAGEN_LDFLAGS,;t t
 s,@CHECK_BUILD@,$CHECK_BUILD,;t t
@@ -26029,7 +26032,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:26032: creating $ac_file" >&5
+    { echo "$as_me:26035: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -26047,7 +26050,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:26050: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:26053: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -26060,7 +26063,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:26063: error: cannot find input file: $f" >&5
+           { { echo "$as_me:26066: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -26076,7 +26079,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:26079: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:26082: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -26085,7 +26088,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:26088: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:26091: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -26122,7 +26125,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:26125: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:26128: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -26133,7 +26136,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:26136: WARNING: Some variables may not be substituted:
+      { echo "$as_me:26139: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -26182,7 +26185,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:26185: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:26188: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -26193,7 +26196,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:26196: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:26199: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -26206,7 +26209,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:26209: error: cannot find input file: $f" >&5
+           { { echo "$as_me:26212: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -26264,7 +26267,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:26267: $ac_file is unchanged" >&5
+      { echo "$as_me:26270: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -26609,7 +26612,7 @@
 				(cygdll|msysdll|mingw)
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:26612: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:26615: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.674 
--- ncurses-6.1-20190126+/configure.in	2019-01-20 12:05:04.000000000 +0000
+++ ncurses-6.1-20190202/configure.in	2019-02-02 19:57:53.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.674 2019/01/20 12:05:04 tom Exp $
+dnl $Id: configure.in,v 1.677 2019/02/02 19:57:53 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See https://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20170501)
-AC_REVISION($Revision: 1.674 $)
+AC_REVISION($Revision: 1.677 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1706,7 +1706,6 @@
 strstr \
 sysconf \
 tcgetpgrp \
-tdestroy \
 times \
 tsearch \
 vsnprintf \
@@ -2313,19 +2312,23 @@
 # substitute into misc/Makefile to suppress
 # (un)install.data from the
 # (un)install rules.
-if test "x$cf_with_db_install" = "xno" || test "x$TERMINFO_SRC" = "xno"; then
-	MAKE_DATABASE="#"
+if test "x$cf_with_db_install" = "xno"; then
 	MISC_INSTALL_DATA=
 	MISC_UNINSTALL_DATA=
 else
-	MAKE_DATABASE=""
 	MISC_INSTALL_DATA=install.data
 	MISC_UNINSTALL_DATA=uninstall.data
 fi
-AC_SUBST(MAKE_DATABASE)
 AC_SUBST(MISC_INSTALL_DATA)
 AC_SUBST(MISC_UNINSTALL_DATA)
 
+if test "x$cf_with_db_install" = "xno" || test "x$TERMINFO_SRC" = "xno"; then
+	MAKE_DATABASE="#"
+else
+	MAKE_DATABASE="$MAKE_TERMINFO"
+fi
+AC_SUBST(MAKE_DATABASE)
+
 SUB_SCRIPTS=
 
 dnl Override the package used for exported symbols
Index: dist.mk
Prereq:  1.1264 
--- ncurses-6.1-20190126+/dist.mk	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/dist.mk	2019-02-02 16:08:54.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1264 2019/01/22 23:47:52 tom Exp $
+# $Id: dist.mk,v 1.1265 2019/02/02 16:08:54 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 1
-NCURSES_PATCH = 20190126
+NCURSES_PATCH = 20190202
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/ncurses_defs
Prereq:  1.86 
--- ncurses-6.1-20190126+/include/ncurses_defs	2018-09-01 19:16:04.000000000 +0000
+++ ncurses-6.1-20190202/include/ncurses_defs	2019-02-02 20:04:14.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: ncurses_defs,v 1.86 2018/09/01 19:16:04 tom Exp $
+# $Id: ncurses_defs,v 1.87 2019/02/02 20:04:14 tom Exp $
 ##############################################################################
-# Copyright (c) 2000-2017,2018 Free Software Foundation, Inc.                #
+# Copyright (c) 2000-2018,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -165,7 +165,6 @@
 HAVE_SYS_TIME_SELECT
 HAVE_TCGETATTR
 HAVE_TCGETPGRP
-HAVE_TDESTROY
 HAVE_TELL
 HAVE_TERMATTRS	1
 HAVE_TERMCAP_H	1
Index: misc/Makefile.in
Prereq:  1.71 
--- ncurses-6.1-20190126+/misc/Makefile.in	2019-01-20 12:05:24.000000000 +0000
+++ ncurses-6.1-20190202/misc/Makefile.in	2019-02-02 19:44:52.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.71 2019/01/20 12:05:24 tom Exp $
+# $Id: Makefile.in,v 1.72 2019/02/02 19:44:52 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -85,27 +85,29 @@
 
 @MAKE_DATABASE@install :: @MISC_INSTALL_DATA@
 
-install.data :	terminfo.tmp \
-		$(DESTDIR)$(libdir) \
-		$(DESTDIR)$(datadir) \
-		$(DESTDIR)$(tabsetdir)
-	DESTDIR=${DESTDIR} \
-	prefix=${prefix} \
-	exec_prefix=${exec_prefix} \
-	bindir=${bindir} \
-	top_srcdir=${top_srcdir} \
-	srcdir=${srcdir} \
-	datadir=${datadir} \
-	ticdir=${ticdir} \
-	source=terminfo.tmp \
-	cross_compiling=@cross_compiling@ \
-	$(SHELL) ./run_tic.sh
-	@cd $(srcdir)/tabset && \
-		$(SHELL) -c 'for i in * ; do \
-			if test -f $$i ; then \
-			echo installing $$i; \
-			$(INSTALL_DATA) $$i $(DESTDIR)$(tabsetdir)/$$i; \
-			fi; done'
+@MAKE_DATABASE@install.data ::	terminfo.tmp \
+@MAKE_DATABASE@		$(DESTDIR)$(libdir) \
+@MAKE_DATABASE@		$(DESTDIR)$(datadir) \
+@MAKE_DATABASE@		$(DESTDIR)$(tabsetdir)
+@MAKE_DATABASE@	DESTDIR=${DESTDIR} \
+@MAKE_DATABASE@	prefix=${prefix} \
+@MAKE_DATABASE@	exec_prefix=${exec_prefix} \
+@MAKE_DATABASE@	bindir=${bindir} \
+@MAKE_DATABASE@	top_srcdir=${top_srcdir} \
+@MAKE_DATABASE@	srcdir=${srcdir} \
+@MAKE_DATABASE@	datadir=${datadir} \
+@MAKE_DATABASE@	ticdir=${ticdir} \
+@MAKE_DATABASE@	source=terminfo.tmp \
+@MAKE_DATABASE@	cross_compiling=@cross_compiling@ \
+@MAKE_DATABASE@	$(SHELL) ./run_tic.sh
+@MAKE_DATABASE@	@cd $(srcdir)/tabset && \
+@MAKE_DATABASE@		$(SHELL) -c 'for i in * ; do \
+@MAKE_DATABASE@			if test -f $$i ; then \
+@MAKE_DATABASE@			echo installing $$i; \
+@MAKE_DATABASE@			$(INSTALL_DATA) $$i $(DESTDIR)$(tabsetdir)/$$i; \
+@MAKE_DATABASE@			fi; done'
+install.data ::
+	@echo "finished $@"
 
 NCURSES_CONFIG	= ncurses@DFT_ARG_SUFFIX@@cf_cv_abi_version@@cf_config_suffix@-config
 
@@ -126,6 +128,7 @@
 # some packagers prefer to be able to construct pc-files on servers where
 # pkg-config is not installed.  Work around that by creating the library
 # directory during this rule:
+@MAKE_PC_FILES@install \
 @MAKE_PC_FILES@install.libs :: pc-files
 @MAKE_PC_FILES@	@$(SHELL) -c 'case "x$(DESTDIR)$(PKG_CONFIG_LIBDIR)" in \
 @MAKE_PC_FILES@		(x/*) \
Index: package/debian-mingw/changelog
--- ncurses-6.1-20190126+/package/debian-mingw/changelog	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/debian-mingw/changelog	2019-02-02 16:08:54.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190126) unstable; urgency=low
+ncurses6 (6.1+20190202) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 22 Jan 2019 18:47:52 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Feb 2019 11:08:54 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.1-20190126+/package/debian-mingw64/changelog	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/debian-mingw64/changelog	2019-02-02 16:08:54.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190126) unstable; urgency=low
+ncurses6 (6.1+20190202) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 22 Jan 2019 18:47:52 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Feb 2019 11:08:54 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.1-20190126+/package/debian/changelog	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/debian/changelog	2019-02-02 16:08:54.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190126) unstable; urgency=low
+ncurses6 (6.1+20190202) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 22 Jan 2019 18:47:52 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Feb 2019 11:08:54 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.311 
--- ncurses-6.1-20190126+/package/mingw-ncurses.nsi	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/mingw-ncurses.nsi	2019-02-02 16:08:54.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.311 2019/01/22 23:47:52 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.312 2019/02/02 16:08:54 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "1"
 !define VERSION_YYYY  "2019"
-!define VERSION_MMDD  "0126"
+!define VERSION_MMDD  "0202"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.1-20190126+/package/mingw-ncurses.spec	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/mingw-ncurses.spec	2019-02-02 16:08:54.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.1
-Release: 20190126
+Release: 20190202
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.1-20190126+/package/ncurses.spec	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/ncurses.spec	2019-02-02 16:08:54.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.1
-Release: 20190126
+Release: 20190202
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncursest.spec
--- ncurses-6.1-20190126+/package/ncursest.spec	2019-01-22 23:47:52.000000000 +0000
+++ ncurses-6.1-20190202/package/ncursest.spec	2019-02-02 16:08:54.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: Curses library with POSIX thread support.
 Name: ncursest6
 Version: 6.1
-Release: 20190126
+Release: 20190202
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/configure
--- ncurses-6.1-20190126+/test/configure	2019-01-21 22:53:18.000000000 +0000
+++ ncurses-6.1-20190202/test/configure	2019-02-02 20:11:51.000000000 +0000
@@ -16954,18 +16954,17 @@
 for ac_func in \
 getopt \
 gettimeofday \
-tdestroy \
 tsearch \
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:16962: checking for $ac_func" >&5
+echo "$as_me:16961: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16968 "configure"
+#line 16967 "configure"
 #include "confdefs.h"
 #define $ac_func autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -16996,16 +16995,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16999: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16998: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17002: \$? = $ac_status" >&5
+  echo "$as_me:17001: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17005: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17004: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17008: \$? = $ac_status" >&5
+  echo "$as_me:17007: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17015,7 +17014,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17018: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17017: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17026,14 +17025,14 @@
 done
 
 # use a compile-check to work with ncurses*-config and subdirectory includes
-echo "$as_me:17029: checking if we can use termcap.h" >&5
+echo "$as_me:17028: checking if we can use termcap.h" >&5
 echo $ECHO_N "checking if we can use termcap.h... $ECHO_C" >&6
 if test "${cf_cv_have_termcap_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17036 "configure"
+#line 17035 "configure"
 #include "confdefs.h"
 
 #include <curses.h>
@@ -17054,16 +17053,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17057: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17056: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17060: \$? = $ac_status" >&5
+  echo "$as_me:17059: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17063: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17062: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17066: \$? = $ac_status" >&5
+  echo "$as_me:17065: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_termcap_h=yes
 else
@@ -17073,7 +17072,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:17076: result: $cf_cv_have_termcap_h" >&5
+echo "$as_me:17075: result: $cf_cv_have_termcap_h" >&5
 echo "${ECHO_T}$cf_cv_have_termcap_h" >&6
 if test "x$cf_cv_have_termcap_h" = xyes
 then
@@ -17082,14 +17081,14 @@
 EOF
 
 else
-echo "$as_me:17085: checking if we can use ncurses/termcap.h" >&5
+echo "$as_me:17084: checking if we can use ncurses/termcap.h" >&5
 echo $ECHO_N "checking if we can use ncurses/termcap.h... $ECHO_C" >&6
 if test "${cf_cv_have_ncurses_termcap_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17092 "configure"
+#line 17091 "configure"
 #include "confdefs.h"
 
 #include <ncurses/curses.h>
@@ -17110,16 +17109,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17113: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17112: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17116: \$? = $ac_status" >&5
+  echo "$as_me:17115: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17119: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17118: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17122: \$? = $ac_status" >&5
+  echo "$as_me:17121: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_ncurses_termcap_h=yes
 else
@@ -17129,7 +17128,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:17132: result: $cf_cv_have_ncurses_termcap_h" >&5
+echo "$as_me:17131: result: $cf_cv_have_ncurses_termcap_h" >&5
 echo "${ECHO_T}$cf_cv_have_ncurses_termcap_h" >&6
 test "x$cf_cv_have_ncurses_termcap_h" = xyes && cat >>confdefs.h <<\EOF
 #define HAVE_NCURSES_TERMCAP_H 1
@@ -17138,7 +17137,7 @@
 fi
 
 if test "x$ac_cv_func_getopt" = xno; then
-	{ { echo "$as_me:17141: error: getopt is required for building programs" >&5
+	{ { echo "$as_me:17140: error: getopt is required for building programs" >&5
 echo "$as_me: error: getopt is required for building programs" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -17157,13 +17156,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:17160: checking for $ac_func" >&5
+echo "$as_me:17159: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17166 "configure"
+#line 17165 "configure"
 #include "confdefs.h"
 #define $ac_func autoconf_temporary
 #include <limits.h>	/* least-intrusive standard header which defines gcc2 __stub macros */
@@ -17194,16 +17193,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17197: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17196: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17200: \$? = $ac_status" >&5
+  echo "$as_me:17199: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17203: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17202: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17206: \$? = $ac_status" >&5
+  echo "$as_me:17205: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17213,7 +17212,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17216: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17215: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17225,7 +17224,7 @@
 
 fi
 
-echo "$as_me:17228: checking definition to turn on extended curses functions" >&5
+echo "$as_me:17227: checking definition to turn on extended curses functions" >&5
 echo $ECHO_N "checking definition to turn on extended curses functions... $ECHO_C" >&6
 if test "${cf_cv_need_xopen_extension+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17233,7 +17232,7 @@
 
 cf_cv_need_xopen_extension=unknown
 cat >conftest.$ac_ext <<_ACEOF
-#line 17236 "configure"
+#line 17235 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -17259,16 +17258,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17262: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17261: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17265: \$? = $ac_status" >&5
+  echo "$as_me:17264: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17268: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17267: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17271: \$? = $ac_status" >&5
+  echo "$as_me:17270: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_xopen_extension=none
 else
@@ -17278,7 +17277,7 @@
 	for cf_try_xopen_extension in _XOPEN_SOURCE_EXTENDED NCURSES_WIDECHAR
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 17281 "configure"
+#line 17280 "configure"
 #include "confdefs.h"
 
 #define $cf_try_xopen_extension 1
@@ -17300,16 +17299,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17303: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17302: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17306: \$? = $ac_status" >&5
+  echo "$as_me:17305: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17309: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17308: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17312: \$? = $ac_status" >&5
+  echo "$as_me:17311: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_xopen_extension=$cf_try_xopen_extension; break
 else
@@ -17323,7 +17322,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:17326: result: $cf_cv_need_xopen_extension" >&5
+echo "$as_me:17325: result: $cf_cv_need_xopen_extension" >&5
 echo "${ECHO_T}$cf_cv_need_xopen_extension" >&6
 
 case $cf_cv_need_xopen_extension in
@@ -17335,7 +17334,7 @@
 	;;
 esac
 
-echo "$as_me:17338: checking for term.h" >&5
+echo "$as_me:17337: checking for term.h" >&5
 echo $ECHO_N "checking for term.h... $ECHO_C" >&6
 if test "${cf_cv_term_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17356,7 +17355,7 @@
 for cf_header in $cf_header_list
 do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17359 "configure"
+#line 17358 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17370,16 +17369,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17373: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17372: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17376: \$? = $ac_status" >&5
+  echo "$as_me:17375: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17379: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17378: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17382: \$? = $ac_status" >&5
+  echo "$as_me:17381: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_term_header=$cf_header
 	 break
@@ -17398,7 +17397,7 @@
 	for cf_header in ncurses/term.h ncursesw/term.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 17401 "configure"
+#line 17400 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17416,16 +17415,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17419: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17418: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17422: \$? = $ac_status" >&5
+  echo "$as_me:17421: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17425: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17424: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17428: \$? = $ac_status" >&5
+  echo "$as_me:17427: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_term_header=$cf_header
 			 break
@@ -17440,7 +17439,7 @@
 esac
 
 fi
-echo "$as_me:17443: result: $cf_cv_term_header" >&5
+echo "$as_me:17442: result: $cf_cv_term_header" >&5
 echo "${ECHO_T}$cf_cv_term_header" >&6
 
 case $cf_cv_term_header in
@@ -17467,7 +17466,7 @@
 	;;
 esac
 
-echo "$as_me:17470: checking for unctrl.h" >&5
+echo "$as_me:17469: checking for unctrl.h" >&5
 echo $ECHO_N "checking for unctrl.h... $ECHO_C" >&6
 if test "${cf_cv_unctrl_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17488,7 +17487,7 @@
 for cf_header in $cf_header_list
 do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17491 "configure"
+#line 17490 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17502,16 +17501,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17505: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17504: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17508: \$? = $ac_status" >&5
+  echo "$as_me:17507: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17511: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17510: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17514: \$? = $ac_status" >&5
+  echo "$as_me:17513: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_unctrl_header=$cf_header
 	 break
@@ -17524,12 +17523,12 @@
 done
 
 fi
-echo "$as_me:17527: result: $cf_cv_unctrl_header" >&5
+echo "$as_me:17526: result: $cf_cv_unctrl_header" >&5
 echo "${ECHO_T}$cf_cv_unctrl_header" >&6
 
 case $cf_cv_unctrl_header in
 (no)
-	{ echo "$as_me:17532: WARNING: unctrl.h header not found" >&5
+	{ echo "$as_me:17531: WARNING: unctrl.h header not found" >&5
 echo "$as_me: WARNING: unctrl.h header not found" >&2;}
 	;;
 esac
@@ -17618,10 +17617,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:17621: checking for ${cf_func}" >&5
+	echo "$as_me:17620: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:17624: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:17623: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17630,7 +17629,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 17633 "configure"
+#line 17632 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17663,16 +17662,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17666: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17665: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17669: \$? = $ac_status" >&5
+  echo "$as_me:17668: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17672: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17671: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17675: \$? = $ac_status" >&5
+  echo "$as_me:17674: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17688,7 +17687,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:17691: result: $cf_result" >&5
+	echo "$as_me:17690: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -17703,10 +17702,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:17706: checking for ${cf_func}" >&5
+	echo "$as_me:17705: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:17709: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:17708: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17715,7 +17714,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 17718 "configure"
+#line 17717 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -17748,16 +17747,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17751: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17750: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17754: \$? = $ac_status" >&5
+  echo "$as_me:17753: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17757: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17756: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17760: \$? = $ac_status" >&5
+  echo "$as_me:17759: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -17773,7 +17772,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:17776: result: $cf_result" >&5
+	echo "$as_me:17775: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -17797,7 +17796,7 @@
 				cf_return="return value"
 			fi
 			cat >conftest.$ac_ext <<_ACEOF
-#line 17800 "configure"
+#line 17799 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17817,21 +17816,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17820: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17819: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17823: \$? = $ac_status" >&5
+  echo "$as_me:17822: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17826: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17825: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17829: \$? = $ac_status" >&5
+  echo "$as_me:17828: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		test -n "$verbose" && echo "	prototype $cf_ret func($cf_arg value)" 1>&6
 
-echo "${as_me:-configure}:17834: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
+echo "${as_me:-configure}:17833: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
 
 		cat >>confdefs.h <<EOF
 #define TPUTS_ARG               $cf_arg
@@ -17851,14 +17850,14 @@
 	done
 fi
 
-echo "$as_me:17854: checking for ncurses extended functions" >&5
+echo "$as_me:17853: checking for ncurses extended functions" >&5
 echo $ECHO_N "checking for ncurses extended functions... $ECHO_C" >&6
 if test "${cf_cv_ncurses_ext_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17861 "configure"
+#line 17860 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17873,16 +17872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17876: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17875: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17879: \$? = $ac_status" >&5
+  echo "$as_me:17878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17882: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17885: \$? = $ac_status" >&5
+  echo "$as_me:17884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=defined
 else
@@ -17890,7 +17889,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17893 "configure"
+#line 17892 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17915,16 +17914,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17918: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17917: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17921: \$? = $ac_status" >&5
+  echo "$as_me:17920: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17924: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17923: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17927: \$? = $ac_status" >&5
+  echo "$as_me:17926: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=yes
 else
@@ -17938,7 +17937,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:17941: result: $cf_cv_ncurses_ext_funcs" >&5
+echo "$as_me:17940: result: $cf_cv_ncurses_ext_funcs" >&5
 echo "${ECHO_T}$cf_cv_ncurses_ext_funcs" >&6
 test "$cf_cv_ncurses_ext_funcs" = yes &&
 cat >>confdefs.h <<\EOF
@@ -17952,11 +17951,11 @@
 	if test -n "$cf_cv_ncurses_version" && test "x$cf_cv_ncurses_version" != xno
 	then
 		cf_define_xpg5=no
-		echo "$as_me:17955: checking if _XPG5 should be defined to enable wide-characters" >&5
+		echo "$as_me:17954: checking if _XPG5 should be defined to enable wide-characters" >&5
 echo $ECHO_N "checking if _XPG5 should be defined to enable wide-characters... $ECHO_C" >&6
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 17959 "configure"
+#line 17958 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -17969,16 +17968,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17972: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17971: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17975: \$? = $ac_status" >&5
+  echo "$as_me:17974: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17978: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17977: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17981: \$? = $ac_status" >&5
+  echo "$as_me:17980: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -17987,7 +17986,7 @@
 cf_save_cppflags="$CPPFLAGS"
 			 CPPFLAGS="$CPPFLAGS -D_XPG5"
 			 cat >conftest.$ac_ext <<_ACEOF
-#line 17990 "configure"
+#line 17989 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -18000,16 +17999,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18003: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18002: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18006: \$? = $ac_status" >&5
+  echo "$as_me:18005: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18009: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18008: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18012: \$? = $ac_status" >&5
+  echo "$as_me:18011: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_define_xpg5=yes
 else
@@ -18020,7 +18019,7 @@
 			 CPPFLAGS="$cf_save_cppflags"
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-		echo "$as_me:18023: result: $cf_define_xpg5" >&5
+		echo "$as_me:18022: result: $cf_define_xpg5" >&5
 echo "${ECHO_T}$cf_define_xpg5" >&6
 
 		if test "$cf_define_xpg5" = yes
@@ -18029,14 +18028,14 @@
 		fi
 	fi
 
-	echo "$as_me:18032: checking for wide-character functions" >&5
+	echo "$as_me:18031: checking for wide-character functions" >&5
 echo $ECHO_N "checking for wide-character functions... $ECHO_C" >&6
 if test "${cf_cv_widechar_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18039 "configure"
+#line 18038 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -18053,16 +18052,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18056: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18055: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18059: \$? = $ac_status" >&5
+  echo "$as_me:18058: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18062: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18061: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18065: \$? = $ac_status" >&5
+  echo "$as_me:18064: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_widechar_funcs=yes
 else
@@ -18073,7 +18072,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:18076: result: $cf_cv_widechar_funcs" >&5
+echo "$as_me:18075: result: $cf_cv_widechar_funcs" >&5
 echo "${ECHO_T}$cf_cv_widechar_funcs" >&6
 	if test "$cf_cv_widechar_funcs" != no ; then
 
@@ -18094,14 +18093,14 @@
 
 fi
 
-echo "$as_me:18097: checking if $cf_cv_screen library uses pthreads" >&5
+echo "$as_me:18096: checking if $cf_cv_screen library uses pthreads" >&5
 echo $ECHO_N "checking if $cf_cv_screen library uses pthreads... $ECHO_C" >&6
 if test "${cf_cv_use_pthreads+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18104 "configure"
+#line 18103 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -18119,16 +18118,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18122: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18121: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18125: \$? = $ac_status" >&5
+  echo "$as_me:18124: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18128: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18127: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18131: \$? = $ac_status" >&5
+  echo "$as_me:18130: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_use_pthreads=yes
 else
@@ -18139,20 +18138,20 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:18142: result: $cf_cv_use_pthreads" >&5
+echo "$as_me:18141: result: $cf_cv_use_pthreads" >&5
 echo "${ECHO_T}$cf_cv_use_pthreads" >&6
 test $cf_cv_use_pthreads = yes && cat >>confdefs.h <<\EOF
 #define USE_PTHREADS 1
 EOF
 
-echo "$as_me:18148: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:18147: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18155 "configure"
+#line 18154 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -18172,16 +18171,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18175: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18174: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18178: \$? = $ac_status" >&5
+  echo "$as_me:18177: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18181: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18180: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18184: \$? = $ac_status" >&5
+  echo "$as_me:18183: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -18193,7 +18192,7 @@
 
 fi
 
-echo "$as_me:18196: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:18195: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
@@ -18202,7 +18201,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:18205: checking for openpty in -lutil" >&5
+echo "$as_me:18204: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18210,7 +18209,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 18213 "configure"
+#line 18212 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -18229,16 +18228,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18232: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18231: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18235: \$? = $ac_status" >&5
+  echo "$as_me:18234: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18238: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18237: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18241: \$? = $ac_status" >&5
+  echo "$as_me:18240: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -18249,7 +18248,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:18252: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:18251: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -18257,7 +18256,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:18260: checking for openpty header" >&5
+echo "$as_me:18259: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18284,7 +18283,7 @@
 	for cf_header in pty.h libutil.h util.h
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18287 "configure"
+#line 18286 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -18301,16 +18300,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18304: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18303: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18307: \$? = $ac_status" >&5
+  echo "$as_me:18306: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18310: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18309: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18313: \$? = $ac_status" >&5
+  echo "$as_me:18312: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		cf_cv_func_openpty=$cf_header
@@ -18328,7 +18327,7 @@
 	LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:18331: result: $cf_cv_func_openpty" >&5
+echo "$as_me:18330: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -18362,7 +18361,7 @@
 	fi
 fi
 
-echo "$as_me:18365: checking for function curses_version" >&5
+echo "$as_me:18364: checking for function curses_version" >&5
 echo $ECHO_N "checking for function curses_version... $ECHO_C" >&6
 if test "${cf_cv_func_curses_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18372,7 +18371,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18375 "configure"
+#line 18374 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -18385,15 +18384,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18388: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18387: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18391: \$? = $ac_status" >&5
+  echo "$as_me:18390: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18393: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18392: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18396: \$? = $ac_status" >&5
+  echo "$as_me:18395: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_curses_version=yes
 
@@ -18408,14 +18407,14 @@
 fi
 rm -f core
 fi
-echo "$as_me:18411: result: $cf_cv_func_curses_version" >&5
+echo "$as_me:18410: result: $cf_cv_func_curses_version" >&5
 echo "${ECHO_T}$cf_cv_func_curses_version" >&6
 test "$cf_cv_func_curses_version" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_CURSES_VERSION 1
 EOF
 
-echo "$as_me:18418: checking for alternate character set array" >&5
+echo "$as_me:18417: checking for alternate character set array" >&5
 echo $ECHO_N "checking for alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_acs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18425,7 +18424,7 @@
 for name in acs_map _acs_map __acs_map ${NCURSES_WRAP_PREFIX}acs_map
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 18428 "configure"
+#line 18427 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -18441,16 +18440,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18444: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18443: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18447: \$? = $ac_status" >&5
+  echo "$as_me:18446: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18450: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18449: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18453: \$? = $ac_status" >&5
+  echo "$as_me:18452: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_acs_map=$name; break
 else
@@ -18461,7 +18460,7 @@
 done
 
 fi
-echo "$as_me:18464: result: $cf_cv_curses_acs_map" >&5
+echo "$as_me:18463: result: $cf_cv_curses_acs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_acs_map" >&6
 
 test "$cf_cv_curses_acs_map" != unknown &&
@@ -18471,7 +18470,7 @@
 
 if test "$cf_enable_widec" = yes; then
 
-echo "$as_me:18474: checking for wide alternate character set array" >&5
+echo "$as_me:18473: checking for wide alternate character set array" >&5
 echo $ECHO_N "checking for wide alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18481,7 +18480,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs _wacs_char
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18484 "configure"
+#line 18483 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -18497,16 +18496,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18500: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18499: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18503: \$? = $ac_status" >&5
+  echo "$as_me:18502: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18506: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18505: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18509: \$? = $ac_status" >&5
+  echo "$as_me:18508: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_map=$name
 	 break
@@ -18517,7 +18516,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	done
 fi
-echo "$as_me:18520: result: $cf_cv_curses_wacs_map" >&5
+echo "$as_me:18519: result: $cf_cv_curses_wacs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_map" >&6
 
 test "$cf_cv_curses_wacs_map" != unknown &&
@@ -18525,7 +18524,7 @@
 #define CURSES_WACS_ARRAY $cf_cv_curses_wacs_map
 EOF
 
-echo "$as_me:18528: checking for wide alternate character constants" >&5
+echo "$as_me:18527: checking for wide alternate character constants" >&5
 echo $ECHO_N "checking for wide alternate character constants... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18535,7 +18534,7 @@
 if test "$cf_cv_curses_wacs_map" != unknown
 then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18538 "configure"
+#line 18537 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -18552,16 +18551,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18555: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18554: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18558: \$? = $ac_status" >&5
+  echo "$as_me:18557: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18561: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18560: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18564: \$? = $ac_status" >&5
+  echo "$as_me:18563: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -18571,7 +18570,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 else
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18574 "configure"
+#line 18573 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -18587,16 +18586,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18590: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18589: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18593: \$? = $ac_status" >&5
+  echo "$as_me:18592: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18596: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18595: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18599: \$? = $ac_status" >&5
+  echo "$as_me:18598: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -18607,7 +18606,7 @@
 fi
 
 fi
-echo "$as_me:18610: result: $cf_cv_curses_wacs_symbols" >&5
+echo "$as_me:18609: result: $cf_cv_curses_wacs_symbols" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_symbols" >&6
 
 test "$cf_cv_curses_wacs_symbols" != no &&
@@ -18617,10 +18616,10 @@
 
 fi
 
-echo "$as_me:18620: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:18619: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 18623 "configure"
+#line 18622 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -18638,16 +18637,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18641: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18640: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18644: \$? = $ac_status" >&5
+  echo "$as_me:18643: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18647: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18646: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18650: \$? = $ac_status" >&5
+  echo "$as_me:18649: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -18656,7 +18655,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:18659: result: $cf_result" >&5
+echo "$as_me:18658: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -18677,14 +18676,14 @@
 if test "$cf_enable_widec" = yes; then
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:18680: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:18679: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18687 "configure"
+#line 18686 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18702,23 +18701,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18705: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18704: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18708: \$? = $ac_status" >&5
+  echo "$as_me:18707: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18711: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18710: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18714: \$? = $ac_status" >&5
+  echo "$as_me:18713: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18721 "configure"
+#line 18720 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18737,16 +18736,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18740: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18739: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18743: \$? = $ac_status" >&5
+  echo "$as_me:18742: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18746: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18745: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18749: \$? = $ac_status" >&5
+  echo "$as_me:18748: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -18758,7 +18757,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:18761: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:18760: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -18781,14 +18780,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:18784: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:18783: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18791 "configure"
+#line 18790 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18806,23 +18805,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18809: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18808: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18812: \$? = $ac_status" >&5
+  echo "$as_me:18811: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18815: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18814: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18818: \$? = $ac_status" >&5
+  echo "$as_me:18817: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18825 "configure"
+#line 18824 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18841,16 +18840,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18844: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18843: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18847: \$? = $ac_status" >&5
+  echo "$as_me:18846: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18850: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18849: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18853: \$? = $ac_status" >&5
+  echo "$as_me:18852: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -18862,7 +18861,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:18865: result: $cf_cv_wchar_t" >&5
+echo "$as_me:18864: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -18885,14 +18884,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:18888: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:18887: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 18895 "configure"
+#line 18894 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18910,23 +18909,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18913: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18912: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18916: \$? = $ac_status" >&5
+  echo "$as_me:18915: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18919: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18918: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18922: \$? = $ac_status" >&5
+  echo "$as_me:18921: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18929 "configure"
+#line 18928 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18945,16 +18944,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18948: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18947: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18951: \$? = $ac_status" >&5
+  echo "$as_me:18950: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18954: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18953: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18957: \$? = $ac_status" >&5
+  echo "$as_me:18956: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -18966,7 +18965,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:18969: result: $cf_cv_wint_t" >&5
+echo "$as_me:18968: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -18990,10 +18989,10 @@
 
 	if test "$NCURSES_OK_MBSTATE_T" = 0 ; then
 
-echo "$as_me:18993: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:18992: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 18996 "configure"
+#line 18995 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -19011,16 +19010,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19014: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19013: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19017: \$? = $ac_status" >&5
+  echo "$as_me:19016: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19020: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19019: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19023: \$? = $ac_status" >&5
+  echo "$as_me:19022: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -19029,7 +19028,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:19032: result: $cf_result" >&5
+echo "$as_me:19031: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -19051,10 +19050,10 @@
 
 	if test "$NCURSES_OK_WCHAR_T" = 0 ; then
 
-echo "$as_me:19054: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:19053: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 19057 "configure"
+#line 19056 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -19072,16 +19071,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19075: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19074: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19078: \$? = $ac_status" >&5
+  echo "$as_me:19077: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19081: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19080: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19084: \$? = $ac_status" >&5
+  echo "$as_me:19083: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -19090,7 +19089,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:19093: result: $cf_result" >&5
+echo "$as_me:19092: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -19112,10 +19111,10 @@
 
 	if test "$NCURSES_OK_WINT_T" = 0 ; then
 
-echo "$as_me:19115: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:19114: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 19118 "configure"
+#line 19117 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -19133,16 +19132,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19136: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19135: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19139: \$? = $ac_status" >&5
+  echo "$as_me:19138: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19142: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19141: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19145: \$? = $ac_status" >&5
+  echo "$as_me:19144: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -19151,7 +19150,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:19154: result: $cf_result" >&5
+echo "$as_me:19153: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -19179,11 +19178,11 @@
 boolfnames \
 ttytype
 do
-echo "$as_me:19182: checking for data $cf_data declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:19181: checking for data $cf_data declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data $cf_data declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19186 "configure"
+#line 19185 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -19211,16 +19210,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19214: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19213: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19217: \$? = $ac_status" >&5
+  echo "$as_me:19216: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19220: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19219: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19223: \$? = $ac_status" >&5
+  echo "$as_me:19222: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 
@@ -19230,7 +19229,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:19233: result: $cf_result" >&5
+echo "$as_me:19232: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -19242,14 +19241,14 @@
 EOF
 
 else
-	echo "$as_me:19245: checking for data $cf_data in library" >&5
+	echo "$as_me:19244: checking for data $cf_data in library" >&5
 echo $ECHO_N "checking for data $cf_data in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19252 "configure"
+#line 19251 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -19282,16 +19281,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19285: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19284: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19288: \$? = $ac_status" >&5
+  echo "$as_me:19287: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19291: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19290: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19294: \$? = $ac_status" >&5
+  echo "$as_me:19293: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -19303,7 +19302,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19306 "configure"
+#line 19305 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -19329,15 +19328,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19332: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19331: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19335: \$? = $ac_status" >&5
+  echo "$as_me:19334: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19337: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19336: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19340: \$? = $ac_status" >&5
+  echo "$as_me:19339: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 
@@ -19349,7 +19348,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:19352: result: $cf_result" >&5
+	echo "$as_me:19351: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -19366,7 +19365,7 @@
 
 if ( test "$GCC" = yes || test "$GXX" = yes )
 then
-echo "$as_me:19369: checking if you want to turn on gcc warnings" >&5
+echo "$as_me:19368: checking if you want to turn on gcc warnings" >&5
 echo $ECHO_N "checking if you want to turn on gcc warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -19383,7 +19382,7 @@
 	with_warnings=no
 
 fi;
-echo "$as_me:19386: result: $with_warnings" >&5
+echo "$as_me:19385: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 if test "$with_warnings" = "yes"
 then
@@ -19406,10 +19405,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:19409: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:19408: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 19412 "${as_me:-configure}"
+#line 19411 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -19458,12 +19457,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:19461: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:19460: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19464: \$? = $ac_status" >&5
+  echo "$as_me:19463: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:19466: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:19465: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in
@@ -19527,12 +19526,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	(linux*|gnu*)
-		echo "$as_me:19530: checking if this is really Intel C compiler" >&5
+		echo "$as_me:19529: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 19535 "configure"
+#line 19534 "configure"
 #include "confdefs.h"
 
 int
@@ -19549,16 +19548,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19552: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19551: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19555: \$? = $ac_status" >&5
+  echo "$as_me:19554: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19558: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19557: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19561: \$? = $ac_status" >&5
+  echo "$as_me:19560: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -19569,7 +19568,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:19572: result: $INTEL_COMPILER" >&5
+		echo "$as_me:19571: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -19578,12 +19577,12 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:19581: checking if this is really Clang C compiler" >&5
+	echo "$as_me:19580: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19586 "configure"
+#line 19585 "configure"
 #include "confdefs.h"
 
 int
@@ -19600,16 +19599,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19603: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19602: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19606: \$? = $ac_status" >&5
+  echo "$as_me:19605: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19609: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19608: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19612: \$? = $ac_status" >&5
+  echo "$as_me:19611: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -19620,12 +19619,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:19623: result: $CLANG_COMPILER" >&5
+	echo "$as_me:19622: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 19628 "${as_me:-configure}"
+#line 19627 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -19642,7 +19641,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:19645: checking for $CC warning options..." >&5
+	{ echo "$as_me:19644: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -19658,12 +19657,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:19661: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:19660: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19664: \$? = $ac_status" >&5
+  echo "$as_me:19663: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:19666: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:19665: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -19672,7 +19671,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:19675: checking for $CC warning options..." >&5
+	{ echo "$as_me:19674: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -19696,12 +19695,12 @@
 		Wundef $cf_gcc_warnings $cf_warn_CONST Wno-unknown-pragmas
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:19699: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:19698: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19702: \$? = $ac_status" >&5
+  echo "$as_me:19701: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:19704: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:19703: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in
 			(Wcast-qual)
@@ -19715,7 +19714,7 @@
 				([34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:19718: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:19717: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -19725,7 +19724,7 @@
 				([12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:19728: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:19727: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -19741,7 +19740,7 @@
 fi
 fi
 
-echo "$as_me:19744: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:19743: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -19758,7 +19757,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:19761: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:19760: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -19872,23 +19871,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:19875: checking for dmalloc.h" >&5
+	echo "$as_me:19874: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19881 "configure"
+#line 19880 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:19885: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19884: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19891: \$? = $ac_status" >&5
+  echo "$as_me:19890: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -19907,11 +19906,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19910: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:19909: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:19914: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:19913: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19919,7 +19918,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 19922 "configure"
+#line 19921 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -19938,16 +19937,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19941: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19940: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19944: \$? = $ac_status" >&5
+  echo "$as_me:19943: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19947: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19946: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19950: \$? = $ac_status" >&5
+  echo "$as_me:19949: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -19958,7 +19957,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:19961: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:19960: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -19973,7 +19972,7 @@
 
 fi
 
-echo "$as_me:19976: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:19975: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -19990,7 +19989,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:19993: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:19992: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -20104,23 +20103,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:20107: checking for dbmalloc.h" >&5
+	echo "$as_me:20106: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20113 "configure"
+#line 20112 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:20117: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:20116: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:20123: \$? = $ac_status" >&5
+  echo "$as_me:20122: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -20139,11 +20138,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:20142: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:20141: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:20146: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:20145: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20151,7 +20150,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 20154 "configure"
+#line 20153 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -20170,16 +20169,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20173: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20172: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20176: \$? = $ac_status" >&5
+  echo "$as_me:20175: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20179: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20178: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20182: \$? = $ac_status" >&5
+  echo "$as_me:20181: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -20190,7 +20189,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:20193: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:20192: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -20205,7 +20204,7 @@
 
 fi
 
-echo "$as_me:20208: checking if you want to use valgrind for testing" >&5
+echo "$as_me:20207: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -20222,7 +20221,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:20225: result: ${with_valgrind:-no}" >&5
+echo "$as_me:20224: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in
@@ -20335,7 +20334,7 @@
 	;;
 esac
 
-echo "$as_me:20338: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:20337: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -20345,7 +20344,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:20348: result: $with_no_leaks" >&5
+echo "$as_me:20347: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -20363,7 +20362,7 @@
 LD_RPATH_OPT=
 if test "x$cf_cv_enable_rpath" != xno
 then
-	echo "$as_me:20366: checking for an rpath option" >&5
+	echo "$as_me:20365: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 	case $cf_cv_system_name in
 	(irix*)
@@ -20394,12 +20393,12 @@
 	(*)
 		;;
 	esac
-	echo "$as_me:20397: result: $LD_RPATH_OPT" >&5
+	echo "$as_me:20396: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 	case "x$LD_RPATH_OPT" in
 	(x-R*)
-		echo "$as_me:20402: checking if we need a space after rpath option" >&5
+		echo "$as_me:20401: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 		cf_save_LIBS="$LIBS"
 
@@ -20420,7 +20419,7 @@
 LIBS="$cf_add_libs"
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 20423 "configure"
+#line 20422 "configure"
 #include "confdefs.h"
 
 int
@@ -20432,16 +20431,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20435: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20434: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20438: \$? = $ac_status" >&5
+  echo "$as_me:20437: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20441: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20440: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20444: \$? = $ac_status" >&5
+  echo "$as_me:20443: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -20451,14 +20450,14 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 		LIBS="$cf_save_LIBS"
-		echo "$as_me:20454: result: $cf_rpath_space" >&5
+		echo "$as_me:20453: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 		test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 		;;
 	esac
 fi
 
-echo "$as_me:20461: checking if rpath-hack should be disabled" >&5
+echo "$as_me:20460: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -20475,21 +20474,21 @@
 	cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:20478: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:20477: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:20482: checking for updated LDFLAGS" >&5
+echo "$as_me:20481: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:20485: result: maybe" >&5
+	echo "$as_me:20484: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:20492: checking for $ac_word" >&5
+echo "$as_me:20491: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20504,7 +20503,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:20507: found $ac_dir/$ac_word" >&5
+echo "$as_me:20506: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20512,10 +20511,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:20515: result: $cf_ldd_prog" >&5
+  echo "$as_me:20514: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:20518: result: no" >&5
+  echo "$as_me:20517: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20529,7 +20528,7 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 20532 "configure"
+#line 20531 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -20541,16 +20540,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20544: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20543: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20547: \$? = $ac_status" >&5
+  echo "$as_me:20546: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20550: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20549: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20553: \$? = $ac_status" >&5
+  echo "$as_me:20552: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -20578,7 +20577,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:20581: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:20580: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -20590,11 +20589,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:20593: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:20592: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:20597: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:20596: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -20631,7 +20630,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:20634: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:20633: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -20644,11 +20643,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:20647: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:20646: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:20651: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:20650: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -20685,7 +20684,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:20688: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:20687: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -20698,14 +20697,14 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:20701: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:20700: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:20705: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:20704: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:20708: result: no" >&5
+	echo "$as_me:20707: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20795,7 +20794,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:20798: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:20797: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -20971,7 +20970,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:20974: error: ambiguous option: $1
+    { { echo "$as_me:20973: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -20990,7 +20989,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:20993: error: unrecognized option: $1
+  -*) { { echo "$as_me:20992: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -21040,7 +21039,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ncurses_cfg.h:ncurses_tst.hin" ;;
-  *) { { echo "$as_me:21043: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:21042: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -21336,7 +21335,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:21339: creating $ac_file" >&5
+    { echo "$as_me:21338: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -21354,7 +21353,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21357: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21356: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21367,7 +21366,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21370: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21369: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21383,7 +21382,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:21386: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:21385: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -21392,7 +21391,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:21395: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:21394: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -21429,7 +21428,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:21432: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:21431: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -21440,7 +21439,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:21443: WARNING: Some variables may not be substituted:
+      { echo "$as_me:21442: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -21489,7 +21488,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:21492: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:21491: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -21500,7 +21499,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21503: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21502: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21513,7 +21512,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21516: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21515: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21571,7 +21570,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:21574: $ac_file is unchanged" >&5
+      { echo "$as_me:21573: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: test/configure.in
Prereq:  1.151 
--- ncurses-6.1-20190126+/test/configure.in	2019-01-21 22:50:54.000000000 +0000
+++ ncurses-6.1-20190202/test/configure.in	2019-02-02 19:57:53.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996-on
 dnl
-dnl $Id: configure.in,v 1.151 2019/01/21 22:50:54 tom Exp $
+dnl $Id: configure.in,v 1.152 2019/02/02 19:57:53 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -250,7 +250,6 @@
 AC_CHECK_FUNCS( \
 getopt \
 gettimeofday \
-tdestroy \
 tsearch \
 )
 
Index: test/package/ncurses-examples.spec
Prereq:  1.13 
--- ncurses-6.1-20190126+/test/package/ncurses-examples.spec	2019-01-27 00:22:06.000000000 +0000
+++ ncurses-6.1-20190202/test/package/ncurses-examples.spec	2019-02-03 01:17:27.000000000 +0000
@@ -3,7 +3,7 @@
 %global AltProgram ncursest-examples
 %global AppVersion MAJOR.MINOR
 %global AppRelease YYYYMMDD
-# $Id: ncurses-examples.spec,v 1.13 2019/01/27 00:22:06 tom Exp $
+# $Id: ncurses-examples.spec,v 1.14 2019/02/03 01:17:27 tom Exp $
 Name: %{AppProgram}
 Version: %{AppVersion}
 Release: %{AppRelease}
@@ -52,7 +52,7 @@
 	--prefix=%{_prefix} \
 	--bindir=%{_bindir}/%{AppProgram} \
 	--datadir=%{_datadir}/%{AppProgram} \
-	--with-screen=ncursesw6 \
+	--with-screen=ncursesw6dev \
 	--disable-rpath-hack
 
 make
@@ -68,7 +68,7 @@
 	--prefix=%{_prefix} \
 	--bindir=%{_bindir}/%{AltProgram} \
 	--datadir=%{_datadir}/%{AltProgram} \
-	--with-screen=ncursestw6 \
+	--with-screen=ncursestw6dev \
 	--disable-rpath-hack
 
 make
Index: test/picsmap.c
Prereq:  1.127 
--- ncurses-6.1-20190126+/test/picsmap.c	2019-01-21 19:45:57.000000000 +0000
+++ ncurses-6.1-20190202/test/picsmap.c	2019-02-02 20:03:13.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: picsmap.c,v 1.127 2019/01/21 19:45:57 tom Exp $
+ * $Id: picsmap.c,v 1.128 2019/02/02 20:03:13 tom Exp $
  *
  * Author: Thomas E. Dickey
  *
@@ -61,10 +61,6 @@
 
 #if HAVE_TSEARCH
 #include <search.h>
-#if HAVE_TDESTROY && !defined(_GNU_SOURCE)
-#undef HAVE_TDESTROY
-#define HAVE_TDESTROY 0
-#endif
 #endif
 
 #undef CUR			/* use only the curses interface */
@@ -383,26 +379,15 @@
     reading_ncols = 0;
 }
 
-#if HAVE_TSEARCH && HAVE_TDESTROY
-static void
-never_free(void *node GCC_UNUSED)
-{
-}
-#endif
-
 static void
 dispose_c_values(void)
 {
 #if HAVE_TSEARCH
     if (reading_ntree != 0) {
-#if HAVE_TDESTROY
-	tdestroy(reading_ntree, never_free);
-#else
 	int n;
 	for (n = 0; n < reading_last; ++n) {
 	    tdelete(I2P(n), &reading_ntree, compare_c_values);
 	}
-#endif
 	reading_ntree = 0;
     }
 #endif
Index: test/test.priv.h
Prereq:  1.176 
--- ncurses-6.1-20190126+/test/test.priv.h	2019-01-21 22:42:35.000000000 +0000
+++ ncurses-6.1-20190202/test/test.priv.h	2019-02-02 19:57:53.000000000 +0000
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.176 2019/01/21 22:42:35 tom Exp $ */
+/* $Id: test.priv.h,v 1.177 2019/02/02 19:57:53 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -250,10 +250,6 @@
 #define HAVE_SYS_SELECT_H 0
 #endif
 
-#ifndef HAVE_TDESTROY
-#define HAVE_TDESTROY 0
-#endif
-
 #ifndef HAVE_TERMATTRS
 #define HAVE_TERMATTRS 0
 #endif
